<?php
add_action('admin_menu', 'apporteur_menu');
function apporteur_menu()
{
	$title     = __('Mon compte', 'mondialcare');
	$menuTitle = __('Mon compte', 'mondialcare');
	add_submenu_page('mc_contrats', $title, $menuTitle, 'manage_options', 'apporteur', 'page_apporteur');
}
add_action('admin_post_reporting', 'reporting_handler');
add_action('admin_post_edit_profile', 'edit_profile');
function edit_profile() {
	$parent_source = get_option('parent_source');
	$token_type = get_option('token_type');
	$access_token = get_option('access_token');
	if (isset($_POST['operation']) && $_POST['operation'] === 'edit-bo') {
		$request = Requests::post($parent_source . '/api/v1/apporteur?action=edit', [
			'Authorization' => $token_type . ' ' . $access_token
		], $_POST, [
			'timeout' => 3000
		]);
		
		if ($request->status_code === 200) {
			wp_redirect('admin.php?page=apporteur');
		}else{
			wp_die('Un problème est survenue lors de la traitement de votre demande sur : ' . $parent_source);
		}
	}
}
function reporting_handler()
{
	$parent_source = get_option('parent_source');
	$token_type = get_option('token_type');
	$access_token = get_option('access_token');
	if (isset($_POST['operation']) && in_array($_POST['operation'], ['edit-bo', 'reporting', 'send_mail', 'show'])) {
		if ($_POST['operation'] === 'show') {
			wp_redirect(add_query_arg([
				'mois' => $_POST['mois'],
				'annee' => $_POST['annee'],
				'operation' => $_POST['operation']
			], admin_url('admin.php?page=apporteur' )));
			exit();
		}

		$request = Requests::post($parent_source . '/api/v1/apporteur?action=edit', [
			'Authorization' => $token_type . ' ' . $access_token
		], $_POST, [
			'timeout' => 3000
		]);
		if ($_POST['operation'] === 'reporting') {
			if ($request->status_code === 200) {
				$pdf = json_decode($request->body, true);
				header('Content-Description: File Transfer');
				header("Content-Type: application/pdf");
				header("Content-Disposition: attachment;filename=" . $pdf['fileName']);
				header('Content-Transfer-Encoding: binary');
				header('Expires: 0');
				header('Cache-Control: must-revalidate,post-check=0,pre-check=0');
				header('Pragma: public');
				header('Content-Length: ' . $pdf['fileSize']);
				echo base64_decode($pdf['pdfContent']);
				exit();
			} else {
				wp_die('Un problème est survenue lors de la recupération de votre pdf depuis: ' . $parent_source);
			}
		} else {
			if ($request->status_code === 200) 
			{
				mondialcare_header();
				echo $request->body;
				mondialcare_footer();
			}
			else {
				wp_die('Un problème est survenue lors de la recupération des informations depuis: ' . $parent_source);
			}
		}
	}
}
function page_apporteur()
{
	$parent_source = get_option('parent_source');
	$token_type = get_option('token_type');
	$access_token = get_option('access_token');
	if ($_SERVER['REQUEST_METHOD'] === 'GET') {
		if(isset($_GET['mois'],$_GET['annee']) && $_GET['mois'] !== '' && !empty($_GET['annee'])){
			$request = Requests::post($parent_source . '/api/v1/apporteur?action=edit', [
				'Authorization' => $token_type . ' ' . $access_token
			], [
				'mois' => $_GET['mois'],
				'annee' => $_GET['annee'],
				'operation' => $_GET['operation']
			], [
				'timeout' => 3000
			]);
			if($request->status_code === 200){
				mondialcare_header();
				echo $request->body;
				mondialcare_footer();
				exit();
			}else{
				wp_die('Un problème est survenue lors de la recupération des informations depuis: ' . $parent_source);
			}
		}
		$request = Requests::get($parent_source . '/api/v1/apporteur?action=edit', [
			'Authorization' => $token_type . ' ' . $access_token
		]);
		if ($request->status_code === 200){
			mondialcare_header();
			echo $request->body;
			mondialcare_footer();
		}
		else {
			wp_die('Un problème est survenue lors de la recupération des informations depuis: ' . $parent_source);
		}
	}
}
