(function ($) {
    var authorization = ajaxToParent.token_type +' '+ ajaxToParent.access_token;
    var date = new Date();
    var tomorrow = date.setDate(date.getDate() + 1);
    $(document).ready(function () {
        var $parent = $('.daterange').closest('.tab');
        var maxValuetemp = $('input[name=max_diff-hidden]').val();
        var maxValue = $('input[name=max_diff-hidden]').val();
        var lang = $("input[name=lang]").val();
        lang = lang === "" ? "en" : lang;
        var minDate = new Date(tomorrow);
        var dd = String(minDate.getDate()).padStart(2, '0');
        var mm = String(minDate.getMonth() + 1).padStart(2, '0');
        var yyyy = minDate.getFullYear();
        var translatedMonths;
        var translatedDays;
        var $start_of_week = 1;

        var maxAge = $('[name="maxAge"]');

        var dateTomorrow = dd + '/' + mm + '/' + yyyy;
        let inputDepart = $('input[name="date-depart"]:text');
        let inputFin = $('input[name="date-fin"]:text');

        const $startLabel = $('input.daterange-start:text').parents(".daterange").find("#daterange-start-label");
        const $endLabel = $('input.daterange-end:text').parents(".daterange").find("#daterange-end-label");

        var check_annuel = $('input:checkbox', '.annuel');
        if (check_annuel.length > 0) {
            check_annuel.each(function(){
                var $checkAnnuel = $(this);
                $checkAnnuel.val('false');
                var name = $checkAnnuel.attr("name");
                if (~name.indexOf("[]")) { // parceque c'est un checkbox, alors il met le name comme vecteur
                    var newname = name.substring(0, name.length - 2);
                    $checkAnnuel.attr("name", newname);
                }
            });
        }

        $(document).on('blur', '.enable-max-age', function () {
            var date = $(this).val();
            var parent = $(this).parents('.loop-container');
            if ( maxAge.length > 0 && maxAge.val() !== "" ) {
                var datenaiss   = moment(date, "YYYY-MM-DD");
                var year        = moment().diff(datenaiss, "years");
                if ( maxAge.val() < year ) {
                    showNotification("Sicar", "L'assuré doit être inférieur à "+ maxAge.val() + " ans", "error");
                    $(this).val("");
                }
            }
        });

        $(document).on('change','.annuel', function () {
            var $input = $(this).find(':checkbox');
            var checked = $input.is(':checked');
            if (checked) {
                $('input[name="date-depart"]').prop('disabled', 'true');
                $('input[name="date-fin"]').prop('disabled', 'true');
                $input.val(checked);
                maxValue = 365;
                $('input[name=max_diff-hidden]').val(365);
                $('input.daterange-start:text, input.daterange-end:text').prop("disabled", true);
                calculerDevis($parent);
            } else {
                $('input[name="date-depart"]').removeAttr('disabled');
                $('input[name="date-fin"]').removeAttr('disabled');
                $input.val(checked);
                $('input[name=max_diff-hidden]').val(maxValuetemp);
                maxValue = $('input[name=max_diff-hidden]').val();
                $('input.daterange-start:text, input.daterange-end:text').prop("disabled", false);

                $('input[name=resultatDuree]').val();
                $('.date-difference').html('');

                $('input:hidden[name="date-depart"], input:hidden[name="date-fin"]', '.daterange').remove();
                calculerDevis($parent);
            }
        });

        $(document).on('change', 'input[name=date-multi]', function () {
            var parent = $(this).parent().parent();
            var date_depart = $(this).val();
            var date_debut = moment(date_depart, "YYYY-MM-DD");
            $('input.daterange-start:text').val(date_debut.format('DD/MM/YYYY'));
            $('input.daterange-start:text').parent().append('<input class="daterange-update" type="hidden" name="date-depart" value="'+date_debut.format('DD/MM/YYYY')+'">');

            var day = moment(date_depart, "YYYY-MM-DD");
            day.add(1 , 'y');
            day.subtract(1, 'd');
            var date_fin = day.format("DD/MM/YYYY");
            $('input.daterange-end:text').val(date_fin);
            $('input.daterange-end:text').parent().append('<input class="daterange-update" type="hidden" name="date-fin" value="'+date_fin+'">');

            const diffDays = day.diff(moment(date_depart, "YYYY-MM-DD"), "days");
            $('.date-difference').html(diffDays + ' jours');
            $('input[name=resultatDuree]').val(diffDays);

            if ( parent.data("class") === "wpcf7cf_group") {
                calculerDevis($parent);
            }
        });

        $.ajax({
            method: 'GET',
            url: ajaxToParent.parent_site + '/ajax/gettranslations/'+ lang,
            success: function(data) {
                translatedDays = data.jours;
                translatedMonths = data.mois;

                $('input.daterange-start:text', '.daterange').daterangepicker({
                    singleDatePicker: true,
                    opens: 'right',
                    autoApply: true,
                    minDate: dateTomorrow,
                    locale: {
                        format: 'DD/MM/YYYY',
                        daysOfWeek: translatedDays,
                        monthNames: translatedMonths,
                        firstDay: $start_of_week
                    }
                });

                $('input.daterange-start:text', '.daterange').val($startLabel.text());
                $('input.daterange-end:text', '.daterange').val($endLabel.text());
            },
            failed: function () {
                $('input.daterange-start:text', '.daterange').daterangepicker({
                    singleDatePicker: true,
                    opens: 'right',
                    autoApply: true,
                    minDate: dateTomorrow,
                    locale: {
                        format: 'DD/MM/YYYY',
                        daysOfWeek: [
                            "Di",
                            "Lu",
                            "Ma",
                            "Me",
                            "Je",
                            "Ve",
                            "Sa"
                        ],
                        monthNames: [
                            "Janvier",
                            "Février",
                            "Mars",
                            "Avril",
                            "Mai",
                            "Juin",
                            "Juillet",
                            "Août",
                            "Septembre",
                            "Octobre",
                            "Novembre",
                            "Décembre"
                        ],
                        firstDay: $start_of_week
                    }
                });

                $('input.daterange-start:text', '.daterange').val($startLabel.text());
                $('input.daterange-end:text', '.daterange').val($endLabel.text());
            }
        });

        $('input.daterange-start:text', '.daterange').on("apply.daterangepicker", function (ev, picker) {
            var date_selected = picker.startDate.format("DD/MM/YYYY");
            var date_depart   = moment(date_selected, 'DD/MM/YYYY').add(1, 'days');
            $('input.daterange-end:text', '.daterange').daterangepicker({
                singleDatePicker: true,
                opens: 'left',
                autoApply: true,
                minDate: date_depart.format('DD/MM/YYYY'),
                startDate: date_depart.format('DD/MM/YYYY'),
                maxDate: date_depart.add(maxValue - 2, 'days'),
                locale: {
                    format: 'DD/MM/YYYY',
                    daysOfWeek: translatedDays,
                    monthNames: translatedMonths,
                    firstDay: $start_of_week
                }
            }, function(start, end, label){
                // CALCUL DU DIFFÉRENCE DE DATE EN NOMBRE DE JOURS
                var dateDebut = picker.startDate;
                var dateFin = end;

                var diffDate = dateFin.diff(dateDebut, "days");
                diffDate = diffDate + 1;
                $('.date-difference').html(diffDate + ' jours');
                if (maxValue) {
                    if (diffDate > parseInt(maxValue)) {
                        $('.daterange').append('<p class="daterange-error" style="color:red">La durée d\'assurance doit être inférieur ou égale à ' + maxValue + ' jours</p>');
                        $('.date-difference').html('');
                        $('input[name=resultatDuree]').val(0);
                        $('#nextBtn', $parent).prop('disabled', true);
                    } else {
                        $('.daterange-error').html('');
                        $('.date-difference').html(diffDate + ' jours');
                        $('input[name=resultatDuree]').val(diffDate);
                        $('#nextBtn', $parent).prop('disabled', false);
                    }
                } else {
                    $('.date-difference').html(diffDate + ' jours');
                    $('input[name=resultatDuree]').val(diffDate);
                    $('#nextBtn', $parent).prop('disabled', false);
                }
            }).trigger("click");
            $('input.daterange-end:text', '.daterange').val($endLabel.text());
        });

        $('input[name="date-multi"]').change(function () {
            $('input[name="date-depart"]').attr('value', convertDateFormat($(this).val()));
            var addYears = moment($(this).val(), 'YYYY-MM-DD').add(1, 'years').format('L');
            var newDate = new Date(addYears);
            var dateSubstract = new Date(newDate.setDate(newDate.getDate() - 1));

            var day = String(dateSubstract.getDate()).padStart(2, '0');
            var month = String(dateSubstract.getMonth() + 1).padStart(2, '0');
            var year = dateSubstract.getFullYear();

            $('input[name="date-fin"]').attr('value', day + '/' + month + '/' + year);
        });

        function convertDateFormat(date){
            var datearray = date.split("-");
            return datearray[2] + '/' + datearray[1] + '/' + datearray[0];
        }
    });

    function calculerDevis($parent, calculer) {
        $('.error', $parent).html('');
        if ($('.declenche-devis').length > 0 || calculer === true) {
            // obtenir tous les checkboxes
            var checkboxes = $('.annuel', $parent);
            checkboxes.each(function () {
                var input = $('input', $(this));
                if (input.val() !== 'true') {
                    input.attr('type', 'hidden'); //pour poster le checkbox non coché
                }
            });

            // Obtenir tous les données
            var $data = {};
            var $dataserialized = $('input, select', $parent).serializeArray();
            $dataserialized.forEach(function(el, ind){
                $data[el.name] = el.value;
            });

            // Reinjection des type hidden
            checkboxes.each(function () {
                var input = $('input', $(this));
                if (input.val() !== 'true') {
                    input.attr('type', 'checkbox');
                }
            });
            $.ajax({
                type: 'POST',
                url: ajaxToParent.parent_site + '/api/v1/calculer_devis_partenaire',
                data: $data,
                headers: {
                    "Authorization" : authorization
                }
            }).done(function (data, status, xhr) {
                var devis_st;
                for (var key in data) {
                    var $assparent = $("#assure");
                    var value = data[key];
                    if (key.indexOf("_wpcf7") >= 0) continue;
                    if (value instanceof Object) { //
                        value.forEach(function (val, ind) {
                            if (key === "personne") {
                                var el = $('div[data-loop-index='+ind+']', $assparent);
                                var cible = $('.mustache', el);
                                if(cible) {
                                    var template = cible.html();
                                    if (template.indexOf('[[') >= 0) {
                                        Mustache.tags = ["[[", "]]"];
                                        Mustache.parse(template);
                                        var render = Mustache.render(template, val);
                                        cible.html(render);
                                    } else {
                                        var template = initial_template;
                                        Mustache.tags = ["[[", "]]"];
                                        Mustache.parse(template);
                                        var render = Mustache.render(template, val);
                                        cible.html(render);
                                    }
                                }
                            }
                        })
                    } else {
                        if (key === 'devis-st') {
                            devis_st = data[key];
                        }
                    }
                }
                $('.devis-st', '.mustache').html(devis_st + " "+ currency);
            }).fail(function (xhr, status, error)  {
                // $('.error', $parent).html('<p style="color:red">Une erreur s\'est produite lors du calcul de tarif! Veuillez vérifier les données saisies</p>');
                var $assparent = $("#assure");
                var el = $('div[data-loop-index]', $assparent);
                var cible = $('.mustache', el);
                cible.each(function () {
                    $(this).html('');
                });
                $('.devis-st', '.mustache').html("0 " + currency);
            });
        }
    }
})(jQuery);

