(function ($) {
    $(window).on("load", function () {
        $(document).ready(function () {

            $.widget("custom.combobox", {
                _create: function () {
                    this.wrapper = $("<span>")
                        .addClass("custom-combobox")
                        .insertAfter(this.element);

                    this.element.hide();
                    this._createAutocomplete();
                    this._createShowAllButton();
                },

                _createAutocomplete: function () {
                    var selected = this.element.children(":selected"),
                        value = selected.val() ? selected.text() : "";
                    //Deplacer le name vers le input text
                    const selectName = $(this.element).attr("name");
                    $(this.element).removeAttr("name");
                    this.hiddenInput = $('<input>')
                        .appendTo(this.wrapper)
                        .attr("type", "hidden")
                        .attr("name", selectName)
                        .val(selected.val());
                    this.input = $("<input>")
                        .appendTo(this.wrapper)
                        .val(value)
                        .attr("title", "")
                        .addClass("custom-combobox-input ui-widget ui-widget-content ui-state-default ui-corner-left")
                        .autocomplete({
                            delay: 0,
                            minLength: 0,
                            source: $.proxy(this, "_source")
                        })
                        .tooltip({
                            classes: {
                                "ui-tooltip": "ui-state-highlight"
                            }
                        });
                    const $thisHiddenInput = this.hiddenInput;
                    this._on(this.input, {
                        autocompleteselect: function (event, ui) {
                            ui.item.option.selected = true;
                            this._trigger("select", event, {
                                item: ui.item.option
                            });
                            $thisHiddenInput.val(ui.item.value) // garder quelque part la valeur
                                .trigger("change")
                                .trigger("change.wpcf7cf"); // Conditional fields events
                            //Afficher le label sur le champ de recherche au lieu de la valeur
                            ui.item.value = ui.item.label;
                        },
                        autocompletechange: "_removeIfInvalid"
                    });
                },

                _createShowAllButton: function () {
                    var input = this.input,
                        wasOpen = false;

                    $("<a>")
                        .attr("tabIndex", -1)
                        .attr("title", "Show All Items")
                        .tooltip()
                        .appendTo(this.wrapper)
                        .button({
                            icons: {
                                primary: "ui-icon-triangle-1-s"
                            },
                            text: false
                        })
                        .removeClass("ui-corner-all")
                        .addClass("custom-combobox-toggle ui-corner-right")
                        .on("mousedown", function () {
                            wasOpen = input.autocomplete("widget").is(":visible");
                        })
                        .on("click", function () {
                            input.trigger("focus");

                            // Close if already visible
                            if (wasOpen) {
                                return;
                            }

                            // Pass empty string as value to search for, displaying all results
                            input.autocomplete("search", "");
                        });
                },

                _source: function (request, response) {
                    var matcher = new RegExp($.ui.autocomplete.escapeRegex(request.term), "i");
                    var suggestions = this.element.children("option").map(function () {
                        var text = $(this).text();
                        if (this.value && (!request.term || matcher.test(text)))
                            return {
                                label: text,
                                value: $(this).val(),
                                option: this
                            };
                    });
                    response(suggestions);
                },

                _removeIfInvalid: function (event, ui) {

                    const $thisInput = this.input;
                    $thisInput.trigger('change');
                    // Selected an item, nothing to do
                    if (ui.item) {
                        return;
                    }

                    // Search for a match (case-insensitive)
                    var value = this.input.val(),
                        valueLowerCase = value.toLowerCase(),
                        valid = false;
                    this.element.children("option").each(function () {
                        if ($(this).text().toLowerCase() === valueLowerCase) {
                            this.selected = valid = true;

                            return false;
                        }
                    });

                    // Found a match, nothing to do
                    if (valid) {
                        return;
                    }

                    // Remove invalid value
                    this.input
                        .val("")
                        .attr("title", value + " didn't match any item")
                        .tooltip("open");
                    this.element.val("");
                    this._delay(function () {
                        this.input.tooltip("close").attr("title", "");
                    }, 2500);
                    this.input.autocomplete("instance").term = "";
                },

                _destroy: function () {
                    this.wrapper.remove();
                    this.element.show();
                }
            });

            const $selectPays = $("select.combobox");


            if ($selectPays.length !== 0) {
                const fieldName = $selectPays.attr("name");
                const listePays = [];
                const listeShengen = [];
                const listeMc = [];
                const listeDomtom = [];
                const showIfMc = $selectPays.data("show-if-mc");
                const showIfMcShengen = $selectPays.data("show-if-mc-shengen");
                const showIfLc = $selectPays.data("show-if-lc");
                const showIfDomTom = $selectPays.data("show-if-domtom");

                const $shengenDatalist = $("#liste-shengen");
                const $mcDatalist = $("#liste-mc");
                const $domtomDatalist = $("#liste-domtom");
                $("option", $selectPays).each(function () {
                    listePays.push($(this).val());
                });
                $("option", $shengenDatalist).each(function () {
                    listeShengen.push($(this).val());
                });
                $("option", $mcDatalist).each(function () {
                    listeMc.push($(this).val());
                });
                $("option", $domtomDatalist).each(function () {
                    listeDomtom.push($(this).val());
                });
                $selectPays.combobox();
                const $inputField = $("[name='" + fieldName + "']");
                const groups = [showIfDomTom, showIfMc, showIfMcShengen, showIfLc];

                //Initial check
                checkGroup(listeMc, $inputField.val(), listeShengen, showIfMcShengen, groups, showIfMc, listeDomtom, showIfDomTom, listePays, showIfLc);
                //add change event listener
                $inputField.on("change", function () {
                    const val = $(this).val();
                    checkGroup(listeMc, val, listeShengen, showIfMcShengen, groups, showIfMc, listeDomtom, showIfDomTom, listePays, showIfLc);
                });
            }
        });

        function checkGroup(listeMc, val, listeShengen, showIfMcShengen, groups, showIfMc, listeDomtom, showIfDomTom, listePays, showIfLc) {
            if (listeMc.indexOf(val) >= 0) {
                if (listeShengen.indexOf(val) >= 0) {
                    showGroup(showIfMcShengen, groups);
                } else {
                    showGroup(showIfMc, groups);
                }
            } else if (listeDomtom.indexOf(val) >= 0) {
                showGroup(showIfDomTom, groups);
            } else if (listePays.indexOf(val) >= 0) {
                showGroup(showIfLc, groups);
            }
        }

        function showGroup(data_id, groups) {
            var groupClone = groups.slice();
            groupClone = groupClone.filter(function (group) {
                return group !== data_id;
            });
            groupClone.forEach(function (group) {
                $('[data-id="' + group + '"]').hide();
            });

            $('[data-id="' + data_id + '"]').show();
        }
    });
})(jQuery);