var currency = undefined !== window.mondialcare ? window.mondialcare.currency : '€';
var initial_template = jQuery('.mustache.devis-pp', jQuery("#assure")).first().html();
var wpcf7cf_change_events = "input.wpcf7cf paste.wpcf7cf change.wpcf7cf click.wpcf7cf propertychange.wpcf7cf";
(function ($) {
    function replaceWidget($allSelectPays) {
        $allSelectPays.each(function () {
            const $currentSelectPays = $(this);
            if ($currentSelectPays.length !== 0) {
                const fieldName = $currentSelectPays.attr("name");
                const listePays = [];
                const listeShengen = [];
                const listeMc = [];
                const listeDomtom = [];
                const showIfMc = $currentSelectPays.data("show-if-mc");
                const showIfSchengen = $currentSelectPays.data("show-if-schengen");
                const showIfLc = $currentSelectPays.data("show-if-lc");
                const showIfDomTom = $currentSelectPays.data("show-if-domtom");
                const $shengenDatalist = $("#liste-shengen");
                const $mcDatalist = $("#liste-mc");
                const $domtomDatalist = $("#liste-domtom");
                $("option", $currentSelectPays).each(function () {
                    listePays.push($(this).val());
                });
                $("option", $shengenDatalist).each(function () {
                    listeShengen.push($(this).val());
                });
                $("option", $mcDatalist).each(function () {
                    listeMc.push($(this).val());
                });
                $("option", $domtomDatalist).each(function () {
                    listeDomtom.push($(this).val());
                });

                $currentSelectPays.combobox();
                const $inputField = $("[name='" + fieldName + "']");
                $inputField.each(function () {
                    const $currentInputField = $(this);
                    const $parent = $currentInputField.parents("[data-loop-index]");
                    const groups = [showIfDomTom, showIfMc, showIfSchengen, showIfLc];
                    const $codeGroup = {};
                    groups.forEach(function (dataId) {
                        var $group = $parent.length != 0 ? $('[data-id="' + dataId + '"]', $parent) : $('[data-id="' + dataId + '"]');
                        $group.css("display", "block");
                        $codeGroup[dataId] = {
                            "parent": $group.parent(),
                            "code": $group
                        };
                    });
                    //Initial check
                    checkGroup(listeMc, $currentInputField.val(), listeShengen, showIfSchengen, groups, showIfMc, listeDomtom, showIfDomTom, listePays, showIfLc, $codeGroup);
                    //add change event listener
                    $currentInputField.on("change", function () {
                        const val = $(this).val();
                        var $container = $currentInputField.closest('.tab');
                        //hideGroups(groups, $codeGroup); //fix: Bug DOMTOM
                        checkGroup(listeMc, val, listeShengen, showIfSchengen, groups, showIfMc, listeDomtom, showIfDomTom, listePays, showIfLc, $codeGroup);
                        calculerDevis($container);
                        setNationality($(this));
                    });
                });
            }

        });
    }


    function checkGroup(listeMc, val, listeShengen, showIfShengen, groups, showIfMc, listeDomtom, showIfDomTom, listePays, showIfLc, $codeGroup) {
        if (val === "") {
            hideGroups([showIfMc, showIfLc, showIfShengen, showIfDomTom], $codeGroup)
            return;
        }
        if (listeDomtom.indexOf(val) >= 0) {
            showGroup(showIfDomTom, $codeGroup);
            hideGroups([showIfMc, showIfLc, showIfShengen].filter(function (g) {
                return g !== undefined;
            }), $codeGroup);
        } else {
            var found = false;
            if (listeShengen.indexOf(val) >= 0) {
                showGroup(showIfShengen, $codeGroup);
                found = true;
            } else {
                hideGroups([showIfShengen], $codeGroup);
            }

            if (listeMc.indexOf(val) >= 0) {
                showGroup(showIfMc, $codeGroup);
                found = true;
            } else {
                hideGroups([showIfMc], $codeGroup);
            }

            if (found === false) {
                if (listePays.indexOf(val) >= 0) {
                    showGroup(showIfLc, $codeGroup);
                } else {
                    hideGroups([showIfLc], $codeGroup);
                }
            } else {
                hideGroups([showIfLc], $codeGroup);
            }
            hideGroups([showIfDomTom], $codeGroup);
        }
    }

    function hideGroups(groups, $codeGroup) {
        groups.forEach(function (group) {
            $codeGroup[group].code.remove();
        });
    }

    function showGroup(data_id, $codeGroup) {
        // const $group = $('[data-id="' + data_id + '"]');
        // $group.show();

        const $parent = $codeGroup[data_id].parent;
        const $codeGroupElement = $codeGroup[data_id].code;
        $parent.append($codeGroupElement);
    }


    function setNationality(input){
        var name = input.attr('name');
        var persNat = $('#personne--nationalite').val();

        if(name === "provenance_pays"){
            if(persNat===""){
                return $('#personne--nationalite option[value="'+input.val()+'"]').prop('selected', true);
            }
        }
    }

    $(document).ready(function () {
        var authorization = ajaxToParent.token_type + ' ' + ajaxToParent.access_token;
        $.widget("custom.combobox", {
            _create: function () {
                this.wrapper = $("<span>")
                    .addClass("custom-combobox")
                    .insertAfter(this.element);
                this.originalElement = this.element;

                this.element.css({ "display": "none" });
                this.element.removeClass("combobox");
                this._createAutocomplete();
                this._reinstance3rdPartyPlugins();
                // this._createShowAllButton();
            },
            _reinstance3rdPartyPlugins: function () {
                //Instance vuejs or react or something
            },
            _createAutocomplete: function () {
                var selected = this.originalElement.children(":selected"),
                    value = selected.val() ? selected.text() : "";
                //Deplacer le name vers le input text
                const selectName = $(this.originalElement).attr("name");
                $(this.originalElement).removeAttr("name");
                this.hiddenInput = $('<input>')
                    .appendTo(this.wrapper)
                    .attr("type", "hidden")
                    .attr("name", selectName)
                    .attr("v-model", selectName)
                    .val(selected.val());
                const $thisHiddenInput = this.hiddenInput;
                this.input = $("<input>")
                    .appendTo(this.wrapper)
                    .val(value)
                    .attr("title", "")
                    .css("margin-bottom", "0")
                    .addClass("custom-combobox-input ui-widget ui-widget-content ui-state-default ui-corner-left")
                    .devbridgeAutocomplete({
                        lookup: $.proxy(this, "_source"),
                        suggestion: {value: "string", data: "any"},
                        autoSelectFirst: true,
                        onSelect: function (suggestion) {
                            bestChoice = suggestion;
                            $thisHiddenInput.val(suggestion.data) // garder quelque part la valeur
                                .trigger("change")
                                .trigger(wpcf7cf_change_events); // Conditional fields events
                            //Un hook qui permettra aux plugins tiers de continuer
                            $(document).trigger("combobox.change", [$thisHiddenInput, suggestion.data, suggestion.value]);
                        },
                        onSearchComplete: function(query, suggestions) {
                            if (suggestions.length > 0) {
                                bestChoice = suggestions[0];
                            }else {
                                bestChoice = null;
                                this.value = "";
                                $thisHiddenInput.val("") // garder quelque part la valeur
                            }
                        },
                        onHide: function(container) {
                            if (bestChoice && this.value !== "") {
                                this.value = bestChoice.value;
                                $thisHiddenInput.val(bestChoice.data) // garder quelque part la valeur
                                .trigger("change")
                                        .trigger(wpcf7cf_change_events); // Conditional fields events
                                    //Un hook qui permettra aux plugins tiers de continuer
                                    $(document).trigger("combobox.change", [$thisHiddenInput, bestChoice.data, bestChoice.value]);
                            }else{
                                $thisHiddenInput.val("") // garder quelque part la valeur
                            }
                        }
                    })
                    .tooltip({
                        classes: {
                            "ui-tooltip": "ui-state-highlight"
                        }
                    });
                this._on(this.input, {
                    //events on input
                });
            },
            /**
             * Cette fonction sert à rechercher des correspondances dans une liste de type <select>
             * * on parcourt tous les options <option> puis on teste la correspondance par regex (insensitive)
             * * si le test est vrai on ajoute l'option trouvé dans la liste des suggestions
             * * sinon on passe à l'option suivante
             *
             *@var {string} request
             *    Le mot clé à rechercher
             *@var {function} response
             *    Function callback qui affiche la liste des suggestions trouvées
             */
            _source: function (request, response) {
                /**
                 * Enlever les caractères spéciaux
                 * Merci à Tahina Faniry Willy Ramanohisoa (https://www.facebook.com/faniry.ramanohisoa)
                 */
                request = request.normalize('NFD').replace(/[^\w\s.-_\/]/g, '').normalize('NFC');
                var matcher = new RegExp($.ui.autocomplete.escapeRegex(request), "i");
                var suggestions = this.originalElement.children("option").map(function () {
                    var optionInnerText = $(this).text(); // On garde le nom original
                    var processedOptionInnerText = optionInnerText.normalize('NFD').replace(/[^\w\s.-_\/]/g, '').normalize('NFC');
                    const optionValue = $(this).val();
                    if (this.value && (!request || matcher.test(processedOptionInnerText))) {
                        return {
                            value: optionInnerText, // on utilise le nom original dans la liste de suggestions
                            data: optionValue,
                            indexOf: processedOptionInnerText.toLowerCase().indexOf(request.toLowerCase())
                        };
                    }
                });
                /**
                 * @TODO: Trier les résultats
                 * Rechercher les 10 meilleurs occurences et les mettres en premier
                 */
                const STRING_MAX_LENGTH = 100;
                var sortedSuggestions = [];
                for (var i = 0; i < STRING_MAX_LENGTH; i++) {
                    var result = Object.values(suggestions).filter(function (suggestion) {
                        return suggestion.indexOf === i;
                    });
                    sortedSuggestions = sortedSuggestions.concat(result);
                    if (sortedSuggestions.length >= 10) {
                        break;
                    }
                }
                response({ suggestions: sortedSuggestions });
            },

            _removeIfInvalid: function (event, ui) {

                const $thisInput = this.input;
                $thisInput.trigger('change');
                // Selected an item, nothing to do
                if (ui.item) {
                    return;
                }

                // Search for a match (case-insensitive)
                var value = this.input.val(),
                    valueLowerCase = value.toLowerCase(),
                    valid = false;
                this.originalElement.children("option").each(function () {
                    if ($(this).text().toLowerCase() === valueLowerCase) {
                        this.selected = valid = true;

                        return false;
                    }
                });

                // Found a match, nothing to do
                if (valid) {
                    return;
                }

                // Remove invalid value
                this.input
                    .val("")
                    .attr("title", value + " didn't match any item")
                    .tooltip("open");
                this.originalElement.val("");
                this._delay(function () {
                    this.input.tooltip("close").attr("title", "");
                }, 2500);
                this.input.autocomplete("instance").term = "";
            },

            _destroy: function () {
                this.wrapper.remove();
                this.originalElement.show();
            }
        });


        /*******************************************/
        //Verifie si des paramètres dans l'url sont présents et effectue la calcul de tarification
        /*******************************************/
        var $parent = $('.declenche-devis').closest('.tab');

        var parameters = location.search;

        var tmp = [];
        var number = 0;
        parameters
            .substr(1)
            .split("&")
            .forEach(function (item) {
                number++;
                tmp = item.split("=");
            });
        if (parameters) {
            calculerDevis($parent);
        } else {
            var $assparent = $("#assure");
            var el = $('div[data-loop-index]', $assparent);
            var cible = $('.mustache', el);
            cible.each(function () {
                $(this).html('');
            });
            // $('.devis-st', '.mustache').html('0 €');
            $('.devis-st', '.mustache').html('0 '+currency);
        }

        function calculerDevis($parent) {
            $('.error', $parent).html('');
            if ($('.declenche-devis').length > 0) {
                // obtenir tous les checkboxes
                var checkboxes = $('.choix-option', $parent);
                checkboxes.each(function () {
                    var input = $('input', $(this));
                    if (input.val() !== 'true') {
                        input.attr('type', 'hidden'); //pour poster le checkbox non coché
                    }
                });

                // Obtenir tous les données
                var $data = {};
                var $dataserialized = $('input', $parent).serializeArray();
                $dataserialized.forEach(function (el, ind) {
                    $data[el.name] = el.value;
                });

                // Reinjection des type hidden
                checkboxes.each(function () {
                    var input = $('input', $(this));
                    if (input.val() !== 'true') {
                        input.attr('type', 'checkbox');
                    }
                });
                $.ajax({
                    type: 'POST',
                    url: ajaxToParent.parent_site + '/api/v1/calculer_devis_partenaire',
                    data: $data,
                    headers: {
                        "Authorization": authorization
                    }
                }).done(function (data, status, xhr) {
                    var devis_st;
                    for (var key in data) {
                        var $assparent = $("#assure");
                        var value = data[key];
                        if (key.indexOf("_wpcf7") >= 0) continue;
                        if (value instanceof Object) { //
                            value.forEach(function (val, ind) {
                                if (key === "personne") {
                                    var el = $('div[data-loop-index=' + ind + ']', $assparent);
                                    var cible = $('.mustache', el);
                                    if (cible) {
                                        var template = cible.html();
                                        if (template.indexOf('[[') >= 0) {
                                            Mustache.tags = ["[[", "]]"];
                                            Mustache.parse(template);
                                            var render = Mustache.render(template, val);
                                            cible.html(render);
                                        } else {
                                            var template = initial_template;
                                            Mustache.tags = ["[[", "]]"];
                                            Mustache.parse(template);
                                            var render = Mustache.render(template, val);
                                            cible.html(render);
                                        }
                                    }
                                }
                            })
                        } else {
                            if (key.includes('devis-st')) {
                                devis_st = data[key];
                            }
                        }
                    }
                    // $('.devis-st', '.mustache').html(devis_st + " €");
                    $('.devis-st', '.mustache').html(devis_st + " "+currency);
                }).fail(function (xhr, status, error) {
                    // $('.error', $parent).html('<p style="color:red">Une erreur s\'est produite lors du calcul de tarif! Veuillez vérifier les données saisies</p>');
                    var $assparent = $("#assure");
                    var el = $('div[data-loop-index]', $assparent);
                    var cible = $('.mustache', el);
                    cible.each(function () {
                        $(this).html('');
                    });
                    // $('.devis-st', '.mustache').html("0 €");
                    $('.devis-st', '.mustache').html("0 "+currency);
                });
            }
        }


        const $selectPays = $("select.combobox");
        replaceWidget($selectPays);
    });

    $(window).on("load", function () {
        $(document).bind("DOMNodeInserted", function (event) {
            const $select = $("select.combobox", $(event.srcElement));
            replaceWidget($select);
        });
    });
})(jQuery);