let people = [{
    'group_backup': {}
}];

function renameFieldName($wrapper, doCalcul) {
    jQuery("[name]", $wrapper).each(function () {
        const $this = jQuery(this); //input
        const $parent = $this.parents("[data-loop-index]");
        const parentIndex = $parent.data("loop-index");

        if($this.attr('type') == 'checkbox') {
            var name = $this.attr("name");
            if (~name.indexOf("[]")) { // parceque c'est un checkbox, alors il met le name comme vecteur
                var newname = name.substring(0, name.length - 2);
                $this.attr("name", "personne[" + parentIndex + "][" + newname + "]");
                $this.attr("data-id", parentIndex);
                $this.attr("data-name", newname);
            } else {
                $this.attr("name", "personne[" + parentIndex + "][" + name + "]");
            }
        } else {
            var propName = "";
            if (undefined === $this.data("original-name")) {
                propName = $this.attr('name');
                $this.attr("data-original-name", propName); //sauvegarder le nom original
            } else {
                propName = $this.data("original-name");
            }
            const entite = 'personne';
            const newName = entite + "[" + parentIndex + "][" + propName + "]";
            $this.attr("name", newName);
        }
    });

    /*********************************************/
    // Recalcul dévis
    /*********************************************/
    if(doCalcul) {
        var $parent = jQuery("#assure").closest('.tab');
        calculerDevis($parent);
    }
}

var nbr_pers = jQuery('input[name="number-pers"]').val();
if (nbr_pers > 0) {
    for (var i = 0; i < nbr_pers - 1; i++) {
        people.push({
            'group_backup': {}
        });
    }
}
if (jQuery('#assure').length > 0) {

    let app = new Vue({
        el: '#assure',
        data: {
            people: people
        },
        mounted: function () {
            var $ = jQuery;
            this.$nextTick(function () {
                people.forEach(function (v, data_loop_index) {
                    var parent = jQuery("[data-loop-index='" + data_loop_index + "']");
                    renameFieldName(parent, false);
                });
            });

            jQuery(window).on('load',function(){
                people.forEach(function (v, data_loop_index) {
                    var parent = jQuery("[data-loop-index='" + data_loop_index + "']");
                    jQuery('[data-class="wpcf7cf_group"]', "[data-loop-index='" + data_loop_index + "']").addClass('wpcf7cf-hidden');
                    var form = wpcf7cf_forms[0];
                    var wpcf7cf_conditions = form.conditions;

                    for (var i=0; i < wpcf7cf_conditions.length; i++) {

                        var condition = wpcf7cf_conditions[i];

                        // compatibility with conditional forms created with older versions of the plugin ( < 1.4 )
                        if (!('and_rules' in condition)) {
                            condition.and_rules = [{'if_field':condition.if_field,'if_value':condition.if_value,'operator':condition.operator}];
                        }

                        var show_group = wpcf7cf.should_group_be_shown(condition, form.$form, parent);

                        if (show_group) {
                            var group = jQuery('[data-id='+condition.then_field+']', parent).eq(0);
                            group.removeClass('wpcf7cf-hidden');
                            group.show();
                        }
                    }

                    jQuery('input, select, textarea, button', parent).not('.wpcf7cf_add, .wpcf7cf_remove').off(wpcf7cf_change_events).on(wpcf7cf_change_events,form, function(e) {
                        var form = e.data;
                        clearTimeout(wpcf7cf_timeout);
                        wpcf7cf_timeout = setTimeout(function() {
                            form.displayFields(parent);
                        }, 100);
                    });

                });

            });

            jQuery('input[name=number-pers]').val(people.length);
        },
        updated: function () {
            var $ = jQuery;
            var data_loop_index = people.length - 1;
            var parent = jQuery("[data-loop-index='" + data_loop_index + "']");

            this.$nextTick(function () {
                renameFieldName(parent, true);
            });

            $('[data-class="wpcf7cf_group"]', "[data-loop-index='" + data_loop_index + "']").addClass('wpcf7cf-hidden');
            var form = wpcf7cf_forms[0];
            var wpcf7cf_conditions = form.conditions;

            for (var i=0; i < wpcf7cf_conditions.length; i++) {

                var condition = wpcf7cf_conditions[i];

                // compatibility with conditional forms created with older versions of the plugin ( < 1.4 )
                if (!('and_rules' in condition)) {
                    condition.and_rules = [{'if_field':condition.if_field,'if_value':condition.if_value,'operator':condition.operator}];
                }

                var show_group = wpcf7cf.should_group_be_shown(condition, form.$form, parent);

                if (show_group) {
                    var group = jQuery('[data-id='+condition.then_field+']', parent).eq(0);
                    group.removeClass('wpcf7cf-hidden');
                    group.show();
                }
            }

            jQuery('input, select, textarea, button', parent).not('.wpcf7cf_add, .wpcf7cf_remove').on(wpcf7cf_change_events,form, function(e) {
                var form = e.data;
                clearTimeout(wpcf7cf_timeout);
                wpcf7cf_timeout = setTimeout(function() {
                    form.displayFields(parent);
                }, 100);
            });

            var all_card_wrapper = $('.card-wrapper', parent);
            if (all_card_wrapper.length > 0) {
                all_card_wrapper.each(function () {
                    var wrapper = $(this);
                    var customCard = $('.custom-card', $(this));
                    var inputs = $('input[type=radio]', customCard);
                    var text_price = $('.price_text_translater', wrapper).text();
                    if (text_price.length > 0) {
                        $('.price-text', wrapper).html(text_price);
                    }
                    inputs.each(function(){
                        var value = $(this).val();
                        var id = '#p-' + value;
                        var text_Bo = $(id, wrapper).text();
                        var classe = '.text-' + value;
                        $(classe, customCard).html(text_Bo);
                    });
                });
            }

            $('.wpcf7-list-item-label').each(function () {
                $(this).parent('p').addClass('mdcf7-p'),
                    so_classes = $(this).attr('class'),
                    so_value = $(this).html(),
                    so_newLabel = $('<label></label>').html(so_value),
                so_classes.length > 0 && $(so_newLabel).attr('class', so_classes),
                    $(this).replaceWith(so_newLabel)
            });
            $('.wpcf7-list-item-label').each(function () {
                wartosc = $(this).prev('input').attr('name') + $(this).prev('input').attr('value'),
                    $(this).attr('for', wartosc),
                    $(this).prev('input').attr('id', wartosc)
            });

            jQuery('.wpcf7-select', parent).material_select();
            jQuery('input[name=number-pers]').val(people.length);

        },
        methods: {
            add: () => {
                let person = {
                    'group_backup': {},
                    '$assure': {}
                };
                app.people.push(person);
            },
            deletePerson: (index) => {
                app.people.splice(index, 1);
            }
        }
    })
}


function calculerDevis($parent) {
    var authorization = ajaxToParent.token_type +' '+ ajaxToParent.access_token;
    var $ = jQuery;
    $('.error', $parent).html('');
    if ($('.declenche-devis')) {

        // Obtenir tous les données
        var $data = {};
        var $dataserialized = $('input', $parent).serializeArray();
        $dataserialized.forEach(function(el, ind){
            $data[el.name] = el.value;
        });

        $.ajax({
            type: 'POST',
            url: ajaxToParent.parent_site + '/api/v1/calculer_devis_partenaire',
            data: $data,
            headers: {
                "Authorization" : authorization
            }
        }).done(function (data, status, xhr) {
            var devis_st;
            for (var key in data) {
                var $assparent = $("#assure");
                var value = data[key];
                if (key.indexOf("_wpcf7") >= 0) continue;
                if (value instanceof Object) { //
                    value.forEach(function (val, ind) {
                        if (key === "personne") {
                            var el = $('div[data-loop-index='+ind+']', $assparent);
                            var cible = $('.mustache', el);
                            if(cible.length > 0) {
                                var template = cible.html();
                                if (template.indexOf('[[') >= 0) {
                                    Mustache.tags = ["[[", "]]"];
                                    Mustache.parse(template);
                                    var render = Mustache.render(template, val);
                                    cible.html(render);
                                } else {
                                    var template = initial_template;
                                    Mustache.tags = ["[[", "]]"];
                                    Mustache.parse(template);
                                    var render = Mustache.render(template, val);
                                    cible.html(render);
                                }
                            }
                        }
                    })
                } else {
                    if (key.includes('devis-st')) {
                        devis_st = data[key];
                    }
                }
            }
            $('.devis-st', '.mustache').html(devis_st + " €");
        }).fail(function (xhr, status, error)  {
            // $('.error', $parent).html('<p style="color:red">Une erreur s\'est produite lors du calcul de tarif! Veuillez vérifier les données saisies</p>');
            var $assparent = $("#assure");
            var el = $('div[data-loop-index]', $assparent);
            var cible = $('.mustache', el);
            cible.each(function () {
                $(this).html('');
            });

            $('.devis-st', '.mustache').html("0 €");
        });
    }
}