<?php
add_action('admin_menu', 'configuration_menu');
function configuration_menu()
{
	$title     = __('Configuration', 'mondialcare');
	$menuTitle = __('Configuration', 'mondialcare');
	add_submenu_page('mc_contrats', $title, $menuTitle, 'manage_options', 'settings', 'page_configuration');
}

/**
 * Plugin settings page
 */
function page_configuration() {
	$parent_source_status = get_option('parent_source_status');
	$parent_site = get_option('parent_source');
	$clientId = get_option('client_id');
	$client_secret = get_option('client_secret');
	?>
	<style>
		.grid {
			display: flex;
			flex-direction: row;
		}

		.grid .grid-item {
			width: 100%;
			padding-top: calc(4px * 2);
			padding-bottom: calc(4px * 2);
		}

		.t-right {
			text-align: right;
		}
	</style>
	<?= mondialcare_header(); ?>
	<div class="grid">
		<div class="grid-item">
			<h2>Configuration du plugin</h2>
		</div>
	</div>

	<span id="status"><u>Status: </u> <?= ($parent_source_status != false && $parent_source_status == 'ok') ? "<b style='color: green'>Connecté</b>" : "<b style='color: red'>Non connecté</b>"?></span>
	<form id="mc_form_config" class="mt-4" method="post" action="">
		<div class="form-group">
			<label for="parent_source">Adresse du site mère: </label>
			<input id="parent_source" type="url" class="form-control w-25" name="parent_source" value="<?= $parent_site != false ? $parent_site : '' ?>" placeholder="https://www.example.com">
		</div>

		<div class="form-group">
			<label for="client_id">Client Id: </label>
			<input id="client_id" type="text" class="form-control w-25" name="client_id" value="<?= $clientId != false ? $clientId : '' ?>" placeholder="1">
		</div>

		<div class="form-group">
			<label for="client_secret">Client secret: </label>
			<input id="client_secret" type="text" class="form-control w-50" name="client_secret" value="<?= $client_secret != false ? $client_secret : '' ?>" placeholder="8CmyIKPz268NKfnxL3QZOy40Yd99hFJtUqLXMXIa">
		</div>

		<div class="btn-group">
			<button type="button" id="connexion-site-mere" value="<?= ($parent_source_status != false && $parent_source_status == 'ok') ? "deconnexion" : "connexion"?>" class="btn btn-secondary"><?= ($parent_source_status != false && $parent_source_status == 'ok') ? "<i class=\"fa fa-sign-out\"></i> Déconnexion" : "<i class=\"fa fa-sign-in\"></i> Connexion"?></button>
		</div>
	</form>
	<?= mondialcare_footer(); ?>
	<?php
}