import React, {useEffect, useState} from 'react'
import {Tr} from "./components/Tr.style";
import Modal from "react-modal";
import Si from "./Si";
import ProduitsTypeform from "../produitTypeform/app";

const customStyles = {
    content: {
        top: '50%',
        left: '50%',
        right: 'auto',
        bottom: 'auto',
        marginRight: '-50%',
        transform: 'translate(-50%, -50%)',
        overflow: "auto",
        maxHeight: '100vh'
    },
};
const Row = ({element, index, produitsDisponibles, onUpdateRow, onDeleteRow, namePrefix}) => {
    const [produits, setProduits] = useState(function () {
        return produitsDisponibles.filter((g) => {
            var afficher = JSON.parse(element.afficher);
            return afficher.findIndex((v) => v.groupe === g.ID && v.formule === g.formule.ID) !== -1
        });
    });
    const [cards, setCards] = useState(() => {
        const newCards = produits.map(function (produit) {
            var garanties = [];
            if (produit.formule && typeof produit.formule != "undefined") {
                if (produit.formule.optionsGaranties && typeof produit.formule.optionsGaranties != "undefined") {
                    garanties = produit.formule.optionsGaranties.map((og) => {
                        return {
                            "icone": "include-icon",
                            "label": og.libelle
                        }
                    });
                }
            }
            var files = [];
            if (produit.files && typeof produit.files != "undefined") files = produit.files;
            var shortcodes = element.shortcodes;
            var widgetAssures = element.widgetAssure;
            var widgetSouscripteurs = element.widgetSouscripteur;
            var widgetAssure = widgetAssures && typeof widgetAssures !== "undefined" ? widgetAssures[produit.formule.ID] : "individuel";
            var widgetSouscripteur = widgetSouscripteurs && typeof widgetSouscripteurs !== "undefined" ? widgetSouscripteurs[produit.formule.ID] : "personne";
            var shortcode = [];
            if (shortcodes[produit.formule.ID]) shortcode = [...shortcodes[produit.formule.ID]];
            if (shortcode) shortcode = shortcode.filter(((v, i, a) => a.indexOf(v) === i)); //unique value
            var miseEnAvant = false;
            if (element.miseEnAvant) {
                miseEnAvant = element.miseEnAvant[produit.formule.ID];
            }
            return {
                produit: {
                    label: produit.nom,
                    produitID: produit.produit,
                    onglet: produit.onglet
                },
                formule: {
                    label: "[" + produit.formule.code_formule + "] " + produit.formule.nom,
                    ID: produit.formule.ID
                },
                garanties: garanties,
                files: files,
                subscribeButton: {
                    label: produit.buttonSouscrire
                },
                shortcodes: shortcode,
                miseEnAvant: miseEnAvant,
                widgetAssure: widgetAssure,
                widgetSouscripteur: widgetSouscripteur
            }
        });
        return newCards;
    });
    let subtitle;
    const [modalIsOpen, setIsOpen] = React.useState(false);
    const [afficherGroupe, setAfficherGroupe] = React.useState(JSON.stringify([]));
    const [elem, setElem] = React.useState(() => {
        return element;
    });
    useEffect(() => {
        const newCards = produits.map(function (produit) {
            var garanties = [];
            if (produit.formule && typeof produit.formule != "undefined") {
                if (produit.formule.optionsGaranties && typeof produit.formule.optionsGaranties != "undefined") {
                    garanties = produit.formule.optionsGaranties.map((og) => {
                        return {
                            "icone": "include-icon",
                            "label": og.libelle,
                            "valeur": og.valeur
                        }
                    });
                }
            }
            var files = [];
            if (produit.files && typeof produit.files != "undefined") files = produit.files;
            var shortcodes = element.shortcodes;
            if (!shortcodes) shortcodes = [];
            var shortcode = [];
            if(shortcodes.length !== 0) {
                shortcode = typeof (shortcodes[produit.formule.ID]) == "string" ? JSON.parse(shortcodes[produit.formule.ID]) : shortcodes[produit.formule.ID];
                if (shortcode) shortcode = [...shortcode.filter(((v, i, a) => a.indexOf(v) === i))]; //unique value
            }
            var widgetAssures = element.widgetAssure;
            var widgetSouscripteurs = element.widgetSouscripteur;
            var widgetAssure = widgetAssures && typeof widgetAssures !== "undefined" ? widgetAssures[produit.formule.ID] : "individuel";
            var widgetSouscripteur = widgetSouscripteurs && typeof widgetSouscripteurs !== "undefined" ? widgetSouscripteurs[produit.formule.ID] : "personne";
            var miseEnAvant = false;
            if (element.miseEnAvant) {
                miseEnAvant = element.miseEnAvant[produit.formule.ID];
            }
            return {
                produit: {
                    label: produit.nom,
                    produitID: produit.produit,
                    onglet: produit.onglet
                },
                formule: {
                    label: "[" + produit.formule.code_formule + "] " + produit.formule.nom,
                    ID: produit.formule.ID
                },
                garanties: garanties,
                files: files,
                subscribeButton: {
                    label: produit.buttonSouscrire
                },
                shortcodes: shortcode,
                miseEnAvant: miseEnAvant,
                widgetAssure: widgetAssure,
                widgetSouscripteur: widgetSouscripteur
            }
        });
        setCards(newCards);
        var groupesListe = produits.map(function (produit) {
            return {
                groupe: produit.ID,
                formule: produit.formule.ID
            };
        });
        var newElem = {...elem};
        newElem.afficher = groupesListe;
        setElem(newElem)
        setAfficherGroupe(JSON.stringify(groupesListe));
        onUpdateRow(element, index);
    }, [produits]);

    useEffect(() => {
        onUpdateRow(element, index);
    }, [elem])

    function openModal() {
        setIsOpen(true);
    }

    function afterOpenModal() {
        // references are now sync'd and can be accessed.
        subtitle.style.color = '#f00';
    }

    function closeModal() {
        setIsOpen(false);
    }

    function addProduit(produit) {
        setProduits([...produits, produit]);
    }

    function onCardChanged(newCards) {
        setCards(newCards);
    }

    function onSiChanged(array) {
        var newElem = {...elem};
        newElem.si = array;
        setElem(newElem);
    }

    function onCardRemove(ind) {
        var newProduits = [...produits];
        newProduits = newProduits.filter((v,i) => i!==ind);
        setProduits(newProduits);
    }
    return (
        <Tr>
            <td>
                <Si namePrefix={namePrefix + "[" + index + "][si]"} data={elem.si} onDataChanged={onSiChanged}></Si>
                <button type={"button"} className={"button button-secondary"}
                        onClick={openModal}>{"Choisir un produit à afficher"}</button>
                <input type={"hidden"} name={namePrefix + "[" + index + "][afficher]"} value={afficherGroupe}/>
                <ProduitsTypeform data={cards} onCardsChange={onCardChanged}
                                  namePrefix={namePrefix + "[" + index + "]"}
                                  onCardRemove={onCardRemove}
                />
                <Modal
                    isOpen={modalIsOpen}
                    onAfterOpen={afterOpenModal}
                    onRequestClose={closeModal}
                    style={customStyles}
                    contentLabel="Example Modal"
                    ariaHideApp={false}
                >
                    <header style={{
                        display: "flex",
                        justifyContent: "space-between"
                    }}>
                        <h2 ref={(_subtitle) => (subtitle = _subtitle)}>Afficher le produit</h2>
                        <button onClick={closeModal} style={{
                            background: "transparent",
                            border: "none",
                            padding: "5px",
                            height: "30px",
                            width: "30px",
                            cursor: "pointer"
                        }}>x
                        </button>
                    </header>
                    <table>
                        <tbody>
                        {produitsDisponibles.map(function (produit, i) {
                            var nomFormule = "", codeFormule = "";
                            if (produit.formule && typeof produit.formule !== "undefined") nomFormule = produit.formule.nom
                            if (produit.formule && typeof produit.formule !== "undefined") codeFormule = produit.formule.code_formule
                            if (produits.findIndex(p => p.ID === produit.ID && p.formule.ID === produit.formule.ID) === -1 ) {
                                return <tr key={i}>
                                    <td><b>[{produit.onglet}]</b><b>[{codeFormule}] </b> {produit.nom} {nomFormule}</td>
                                    <td>
                                        <button type={"button"} onClick={e => {
                                            addProduit(produit)
                                        }}>Ajouter
                                        </button>
                                    </td>
                                </tr>
                            }
                        })}
                        </tbody>
                    </table>
                </Modal>
            </td>
            <td>
                <button className={"button button-secondary"} type={"button"}
                        onClick={onDeleteRow}>{"Supprimer"}</button>
            </td>
        </Tr>
    );
}

export default Row;