import React, {useState} from "react";

const Si = ({namePrefix, data, onDataChanged}) => {
    const [list, setList] = useState(() => data);
    const [siArray, setSiArray] = useState(() => data);

    function add() {
        setList([...list, {
            if_field: "",
            operator_field: "",
            value_field: ""
        }])
    }

    function remove(index) {
        setList([...list.filter((item, i) => i !== index)]);
    }

    function onSichanged(value, index, field) {
        const newSiItem = {...siArray[index]};
        newSiItem[field] = value;
        var newSiArray = [...siArray];
        newSiArray[index] = newSiItem;
        setSiArray(newSiArray);
        onDataChanged(newSiArray);
    }

    return (
        <>
            {list.map((item, index) => {
                var if_field = "", operator_field = "", value_field = "";
                if (siArray[index]) {
                    if_field = siArray[index].if_field;
                    operator_field = siArray[index].operator_field;
                    value_field = siArray[index].value_field;
                }
                return (
                    <div style={{display: "flex"}} key={index}>
                        {index === 0 && <span>Si</span>}
                        {index !== 0 && <span>Et Si</span>}
                        <input type={"text"} name={namePrefix + "[" + index + "][if_field]"}
                               value={if_field}
                               required={true}
                               onChange={e => onSichanged(e.target.value, index, "if_field")}/>
                        <select name={namePrefix + "[" + index + "][operator_field]"}
                                value={operator_field}
                                onChange={e => onSichanged(e.target.value, index, "operator_field")}>
                            <option value="=">equals</option>
                            <option value="!=">not equals</option>
                            <option value=">">greater</option>
                            <option value=">=">greater or equals</option>
                            <option value="<=">lower or equals</option>
                            <option value="<">lower</option>
                        </select>
                        <input type={"text"} name={namePrefix + "[" + index + "][value_field]"}
                               value={value_field}
                               required={true}
                               onChange={e => onSichanged(e.target.value, index, "value_field")}/>
                        {list.length > 1 &&
                        (<button className={"button button-secondary"} type={"button"} onClick={e => remove(index)}>-
                        </button>)}
                    </div>
                )
            })}
            <button type={"button"} className={"button button-secondary"}
                    onClick={e => add()}>{list.length > 0 ? "Et Si" : "Si"}</button>
        </>
    )
}

export default Si;