import React from 'react'
import Row from "./Row";

const Table = ({data, produitsDisponibles, onUpdateData}) => {
    const [donnees, setDonnes] = React.useState(() => data);
    function updateRow(element, index) {
        const newDonnees = [...donnees];
        newDonnees[index] = element;
        setDonnes(newDonnees);
        onUpdateData(newDonnees);
    }
    function onDeleteRow(index){
        const newDonnes = [...donnees].filter((d,i) => i!=index );
        setDonnes(newDonnes);
        onUpdateData(newDonnes);
    }
    return (
        <>
            {donnees.map((element, i) => {
                return <Row element={element} index={i} key={i} onUpdateRow={updateRow} onDeleteRow={e=>onDeleteRow(i)} produitsDisponibles={produitsDisponibles} namePrefix={"conditions"} />
            })}
        </>
    );
};

export default Table;