import LangSwitcher from './components/lang/LangSwitcher';
import ReactDOM from "react-dom";
import React from "react";
import LangContext from "./context/lang.context";
import {langContext} from "./context/lang.context.provider";
import {createGenerateClassName, StylesProvider} from '@material-ui/core/styles';

/**
 * N'oubliez pas de changer le productionPrefix pour évité que les css s'ecrase en prod
 *
 * @type {GenerateId}
 */
const generateClassName = createGenerateClassName({
    productionPrefix: 'app-',
});

window.generateLangWidget = function (widget) {
    ReactDOM.render(
        <StylesProvider generateClassName={generateClassName}>
            <LangContext.Provider value={langContext}>
                <LangSwitcher/>
            </LangContext.Provider>
        </StylesProvider>
        , widget);
}

var langWidgets = document.getElementsByClassName('widgetLang');
if (langWidgets.length > 0) {
    for (var i in langWidgets) {
        var widget = langWidgets[i];
        if (typeof widget !== "object") continue;
        window.generateLangWidget(widget);
    }
}