import styled from "styled-components";

export const TableContainer = styled.div`
  width: 100%;
  max-width: 1140px;
  margin: 0 auto !important;
  padding: 0 15px !important;
`;

export const CTable = styled.table`
  border-collapse: collapse;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.02);
  width: 100%;
  margin: 2rem 0;
  overflow: hidden;
  @media (max-width: 768px) {
    background-color: transparent;
  }
  
  @media (min-width: 768px) {
    background-color: #fefefe;
  }
`;

export const CThead = styled.thead`
  background-color: #e1e8f2 !important;
  @media (max-width: 991px) {
    display: none;
  }
`;

export const CTbody = styled.tbody`
  transition: 0.1s linear;
  transition-property: color, background;
`;

export const CTRow = styled.tr`
  display: grid;
  padding: 0 1.5rem;
  @media (max-width: 768px) {
  padding: unset;
  }
  @media (min-width: 768px) {
    grid-template-columns: 2fr 1fr 2fr 2fr 1fr;
  }
  @media (min-width: 768px) and (max-width: 991px) {
    grid-template-columns: 1fr 2fr 1fr;
  }
`;

export const CTheadTitle = styled.th`
  display: flex;
  align-items: center;
  font-weight: 500;
  text-transform: capitalize;
`;

export const CTTDBody = styled.td`
  display: flex;
  flex-wrap: wrap;
  align-items: center;
`;