import {Form, Typography} from "antd";
import {memo} from "react";

const FormItem = ({element, label}) => {
    return <Form.Item label={label} style={{marginBottom: 0}} labelAlign={"left"}>
        <Typography>{element.valeur} {element.suffix}</Typography>
    </Form.Item>
}

const FormRestant = ({data}) => {
    var formItems = [];
    for (var key in data) {
        var item = data[key];
        formItems.push(<FormItem key={key} element={item} label={item.label}/>);
    }
    return (
        <Form layout={{
            wrapperCol: {span: 14, offset: 6},
        }}
              labelCol={{span: 6}}
              wrapperCol={{span: 14}}>
            {formItems}
        </Form>
    )
}

export default memo(FormRestant);