import styled from "styled-components";

export const Pricing = styled.div`
    display: flex !important;
    justify-content: center;
    line-height: unset !important;
    flex-wrap: wrap;
`

export const Plan = styled.div`
    background-color: #f9f9f9 !important;
    border: 1px solid #ccc !important;
    padding: 1rem !important;
    margin: 10px !important;
    border-radius: 5px;
    text-align: center;
    transition: 0.3s;
    cursor: pointer;
    max-width: 250px;

    &:hover {
        border: 1px solid #339999;
        position: relative;
        box-shadow: 5px 7px 67px -28px rgba(0, 0, 0, 0.37);
    }
`

export const Radio = styled.input`
    display: none !important;
`

export const Price = styled.div`
    font-size: 22px !important;
    color:#339999;
    font-weight: 500;
`

export const Quote = styled.div`
    font-size: 16px !important;
    color:#ff6600;
    font-weight: 500;
    margin-bottom: 10px !important;
`

export const List = styled.ul`
    list-style-type: none;
    text-align: left;
    padding-left: 14px;
    margin-bottom: 8px !important;
    min-height: 100px;
`

export const ListElement = styled.li`
    margin: 8px !important;
    font-size: 14px !important;
    font-weight: 300 !important;
`

export const Link = styled.a`
    display: block;
    color: #339999;
    text-decoration: none;
    background-color: transparent;
    width: 100%;
    margin-top: .5rem;
    &:hover {
        color:#ff6600
    }
`