import styled from "styled-components";

export const Pricing = styled.div`
    display: flex !important;
    justify-content: center;
    align-items:center;
    line-height: unset !important;
    flex-direction: column;
`

export const Plan = styled.div`
    background-color: #f9f9f9 !important;
    border: 1px solid #ccc !important;
    padding: 1rem 1.5rem !important;
    margin: 10px !important;
    border-radius: 22px;
    text-align: center;
    transition: 0.3s;
    cursor: pointer;
    width: 100%;
    position: relative;
    &:hover {
        border: 1px solid #339999;
        box-shadow: 5px 7px 67px -28px rgba(0, 0, 0, 0.37);
    }
    @media (max-width: 768px) {
        max-width: 335px;
    }
`

export const Radio = styled.input`
    display: none !important;
`

export const Price = styled.div`
    font-size: 18px !important;
    color: var(--color-secondary);
    font-weight: bold;
    margin-left: 0.5em !important;
    text-align: center;
    
    @media(min-width: 786px) {
        text-align: left;
    }
`

export const Detail = styled.div`
    font-size: 18px !important;
    font-weight: bold;
    margin-left: 0.5em !important;
    margin-top: 3rem !important;
`

export const Quote = styled.div`
    font-size: 18px !important;
    color:var(--color-primary);
    font-weight: 500;
    margin-bottom: 10px !important;
`

export const ListElement = styled.p`
    display:flex;
    width: 100%;
`

export const PElement = styled.span`
    font-weight: bold !important;
    width: 100%;
`

export const Link = styled.a`
    display: block;
    color: #339999 !important;
    text-decoration: none;
    background-color: transparent;
    width: 100%;
    margin-top: .5rem;
    &:hover {
        color:#ff6600
    }
`
