import styled from "styled-components";
import React from "react";

const RibbonStyled = styled.div`
  position: absolute;
    width: calc(100% - 74%);
    right: -12px;
    top: -13px;
    background: ${props => props.background ? props.background : "#f06505"} !important;
    color: ${props => props.color ? props.color : "#fff"};
    padding: 5px !important;
    @media (max-width: 768px) {
        width: calc(100% - 50%);
    }
`;

const Ribbon = (props) => {
    const {background, color, children} = props;
    return (
        <RibbonStyled background={background} color={color} {...props}>
            {children}
        </RibbonStyled>
    );
}

export default Ribbon;