import React from "react";
import {Form, Input, Button, Checkbox} from 'antd';

const Login = ({onLoggedIn}) => {
    const onFinish = (values) => {
        var $ = window.jQuery;
        $.ajax({
            type: "post",
            url: window.loginUrl,
            data: values,
            success: (res) => {
                if (res.status == "success") {
                    onLoggedIn(res.meta);
                } else {
                    alert(res.message);
                }
            }
        });
    };

    const onFinishFailed = (errorInfo) => {
        console.log('Failed:', errorInfo);
    };
    const nonce = window.nonce;
    return (
        <Form
            name="basic"
            labelCol={{span: 8}}
            wrapperCol={{span: 16}}
            initialValues={{_ajax_nonce: nonce}}
            onFinish={onFinish}
            onFinishFailed={onFinishFailed}
            autoComplete="off"
        >
            <Form.Item name={"_ajax_nonce"}>
                <Input type={"hidden"}/>
            </Form.Item>
            <Form.Item
                label="Username"
                name="username"
                rules={[{required: true, message: 'Please input your username!'}]}
            >
                <Input/>
            </Form.Item>

            <Form.Item
                label="Password"
                name="password"
                rules={[{required: true, message: 'Please input your password!'}]}
            >
                <Input.Password/>
            </Form.Item>

            <Form.Item wrapperCol={{offset: 8, span: 16}}>
                <Button type="primary" htmlType="submit">
                    Submit
                </Button>
            </Form.Item>
        </Form>
    );
}
export default Login;