import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App, { File } from './App';
import {Empty, Spin} from "antd";
import LabelContext from "../context/label.context";
window.generateCardProduit = function (selector, data, state, onClick) {
    if (!selector) return;
    if (!window.labels) window.labels = {
        "populaire": "Populaire",
        "calculer_le_devis": "Calculer le devis",
        "username": "Nom d'utilisateur",
        "usernameMsg": "Veuillez entrer votre Nom d'utilisateur !",
        "password": "Mot de passe",
        "passwordMsg": "Veuillez entrer votre Mot de passe !",
        "loginText": "Se connecter",
        "backText": "Retour",
        "inviteText": "Poursuivre en tant qu'invité",
        "ou": "OU",
        "a_partir_de": "à partir de :",
        "les_personnes_a_assurer" : "Les personnes à assurer",
        "information_de_l_assurer" : "Information de l'assurer n ",
        "ajouter_un_assurer" : "Ajouter un Assuré",
        "ajouter" : "Ajouter",
        "modifier" : "Modifier",
        "annuler" : "Annuler",
        "nom" : "Nom",
        "prenom" : "Prénom",
        "date_de_naissance" : "Date de naissance",
        "num_passeport" : "Numéro passeport",
        "nationalite" : "Nationalité",
        "login_title" : "S'authetifier",
        "requis" : "Réquis",
        "detail_formule": "Détail de la formule",
        "question": "UNE QUESTION? CONTACTEZ NOUS",
        "telecharger_doc": "Télécharger la documentation",
        "vos_informations": "Vos informations",
        "pays_residence": "Pays de Résidence",
        "pays_destination": "Pays de destination",
        "date_depart": "Date debut de contrat",
        "date_fin": "Date fin de contrat",
        "indiquer_date": "Indiquer vos dates de voyage",
        "text_indiquer_date": "Sélectionnez la date de début de contrat souhaitée et la date de fin de contrat, puis affichez les résultats",
        "conjoint": {
            "titre": "Conjoint",
            "conjoint-nom": "Nom",
            "conjoint-prenom": "Prénom",
            "conjoint-datenais": "Date de naissance",
            "conjoint-passeport":"Passeport",
            "conjoint-nationalite":"Nationalité"
        },
        "enfants": {
            "titre": "Enfant (moins de 21 ans)",
            "enfant-num": "N°*num*",
            "enfant-nom": "Nom",
            "enfant-prenom": "Prénom",
            "enfant-datenaiss": "Date de naissance",
            "enfant-passeport":"Passeport",
            "enfant-nationalite":"Nationalité",
            "enfant-action": ""
        },
        "buttons": {
            "ajout": "Ajouter",
            "suppression": "Supprimer"
        },
        'accordion': {
            "activeText": "Membres de la famille",
            "inactiveText": "Gérer les membres de la famille"
        }
    };
    const defaultLabels = {
        labels: window.labels
    };
    ReactDOM.render(
        <React.StrictMode>
            {state === "empty" && (
                <Empty image={Empty.PRESENTED_IMAGE_SIMPLE} description={false}/>
            )}
            {state === "loading" && (
                <div style={{textAlign: "center"}}>
                    <Spin size="large"/>
                </div>
            )}
            {state === "ready" && (
                <LabelContext.Provider value={defaultLabels}>
                    <App data={data} onClick={onClick}/>
                </LabelContext.Provider>
            )}
        </React.StrictMode>,
        selector
    );
}

window.generateFileList = function (selector, data) {
    var listFile = [];
    data.forEach((file, index) => {
        listFile.push(<File key={index} file={file}/>)
    })

    ReactDOM.render(
        <React.StrictMode>
            {listFile}
        </React.StrictMode>,
        selector
    );
}

window.refreshCardProduit = function (selector, data, state, onClick) {
    ReactDOM.unmountComponentAtNode(selector);
    window.generateCardProduit(selector, data, state, onClick);
}