import { Button, Col, Input, Row, Space } from "antd";
import { MinusCircleOutlined, PlusCircleOutlined } from "@ant-design/icons";
import "./App.css"
import React, { useState } from "react";

const App = ({ donnees, onDataChange }) => {
    const [mappings, setMappings] = useState(() => donnees);
    function onAddMapping() {
        const newMappings = [...mappings];
        newMappings.push({
            typeform: "",
            shortcode: ""
        });
        setMappings(newMappings);
        onDataChange(newMappings);
    }

    function onDeleteMapping(index) {
        var newMappings = [...mappings];
        newMappings = newMappings.filter((mapping, i) => {
            return i !== index;
        });
        setMappings(newMappings);
        onDataChange(newMappings);
    }

    function onParameterChange(value, index) {
        var newMappings = [...mappings];
        newMappings[index].typeform = value;
        setMappings(newMappings);
        onDataChange(newMappings);
    }

    function onShortcodeChange(value, index) {
        var newMappings = [...mappings];
        newMappings[index].shortcode = value;
        setMappings(newMappings);
        onDataChange(newMappings);
    }

    return (
        <>
            {mappings.map((mapping, index) => (
                <>
                    <Space direction="vertical">
                        <Row>
                            <Col lg={24}>
                                <Space>
                                    <Input addonBefore="typeform" name={"mapping[" + index + "][typeform]"} value={mapping.typeform} onChange={(e) => onParameterChange(e.target.value, index)} />
                                    <Input addonBefore="shortcode" name={"mapping[" + index + "][shortcode]"} value={mapping.shortcode} onChange={(e) => onShortcodeChange(e.target.value, index)} />
                                    <Button type={"ghost"} icon={<MinusCircleOutlined />} onClick={e => onDeleteMapping(index)} />
                                </Space>
                            </Col>
                        </Row>
                    </Space>
                    <br />
                </>
            ))}
            <br/>
            <Row>
                <Col lg={24}>
                    <Button icon={<PlusCircleOutlined />} onClick={onAddMapping}>Ajout</Button>
                </Col>
            </Row>
        </>
    );
};

export default App;