import React from "react";
import {Row} from "antd";
import CardGroupeProduit from "./CardGroupeProduit";


const ProduitsTypeform = ({data, onCardsChange, namePrefix, onCardRemove}) => {
    //on enlève les lignes duppliqué en fonction de la valeur du shortcode
    var shortcodes = window.data.filter((v, i, _self) => {
        const index = _self.slice(i+1, _self.length).findIndex(e => e.shortcode === v.shortcode);
        return index === -1;
    });

    function onChange(cardIndex, shortcodeIndex, element, item) {
        const newData = [...data.map(e => {
                if (e.produit.produitID === item.produit.produitID) {
                    if (!e.shortcodes) e.shortcodes = [];

                    if (element.checked) {
                        e.shortcodes.push(element.value);
                    } else {
                        e.shortcodes = e.shortcodes.filter(sh => sh !== element.value);
                    }
                }
                return e;
            }
        )];
        onCardsChange(newData);
    }

    function onAssureChange(cardIndex, newWidgetAssure) {
        const newData = [...data];
        const newCard = {...data[cardIndex]};
        newCard.widgetAssure = newWidgetAssure;
        newData[cardIndex] = newCard;
        onCardsChange(newData);
    }

    function onSouscripteurChange(cardIndex, newWidgetSouscripteur) {
        const newData = [...data];
        const newCard = {...data[cardIndex]};
        newCard.widgetSouscripteur = newWidgetSouscripteur;
        newData[cardIndex] = newCard;
        onCardsChange(newData);
    }
    function onMiseEnAvantChange(status, cardIndex) {
        const newData = [...data];
        const newCard = {...data[cardIndex]};
        newCard.miseEnAvant = status;
        newData[cardIndex] = newCard;
        onCardsChange(newData);
    }
    return (
        <Row gutter={16}>
            {data.map((item, ind) => {
                return (
                    <CardGroupeProduit key={ind} item={item} shortcodes={shortcodes}
                                       onItemChange={(i, el, it) => onChange(i, ind, el, it)}
                                       onAssureChange={newValue => onAssureChange(ind, newValue)}
                                       onSouscripteurChange={newValue => onSouscripteurChange(ind, newValue)}
                                       namePrefix={namePrefix}
                                       onCardRemove={e=> onCardRemove(ind)}
                                       onChangeMiseEnAvant={status => onMiseEnAvantChange(status, ind)}
                    />
                )
            })}
        </Row>
    );
}

export default ProduitsTypeform;