import React from 'react';

const TableauPreviewCsvItem = ({item}) => {
    return <tr>
        <td>{item['NOM']}</td>
        <td>{item['PRENOM']}</td>
        <td>{item['REF_IMMAT']}</td>
        <td>{item['NUMPOLICE']}</td>
        <td>{item['MONTANT']}</td>
        <td>{item['DATE_EFFET']}</td>
        <td>{item['EMAIL']}</td>
        <td>{item['MOBILE']}</td>
        <td>{item['STATUT']}</td>
    </tr>
};

const TableauPreviewCsv = ({data, total, basename}) => {
    const list = Object.values(data).map((item, k) => <TableauPreviewCsvItem item={item} key={k}/>)
    return (
        <>
            <div className="row">
                <p>Aperçu de l'import CSV : (5 premiers lignes du fichier)</p>
            </div>
            <div className="row" id="preview">
                <table className="table table-bordered border-danger">
                    <thead className="table-danger border-danger">
                    <tr>
                        <td>Nom</td>
                        <td>Prénoms</td>
                        <td>Référence/Immatriculation</td>
                        <td>NumPolice</td>
                        <td>Montant</td>
                        <td>Date Effet</td>
                        <td>Email</td>
                        <td>Mobile</td>
                        <td>Statut</td>
                    </tr>
                    </thead>
                    <tbody>
                    {list}
                    </tbody>
                </table>
            </div>
            <input id="baseName" style={{ display: "none" }} value={basename} />
            <div className="row mb-5">
                <div className="col-6 offset-md-6">
                    <p className="text-center">Total de {total} ligne(s) importée(s) dans le fichier
                        source</p>
                </div>
            </div>
        </>
    );
};

export default TableauPreviewCsv;