import React from 'react';
import CsvUpload from "./CsvUpload/CsvUpload";
import TableauPreviewCsv from "./CsvUpload/TableauPreviewCsv";
import axios from 'axios';

const RelanceImport = () => {
    const [showTable, setShowTable] = React.useState(false);
    const [data, setData] = React.useState([]);
    const [total, setTotal] = React.useState(0);
    const [baseName, setBaseName] = React.useState('');

    const uploadXlsx = (xlsx) => {
        if(window.uploadcsvajaxurl !== undefined) {
            var formData = new FormData();
            formData.append('xlsx', xlsx);
            axios.post(window.uploadcsvajaxurl, formData, {
                headers: {
                    'Content-Type': 'multipart/form-data'
                }
            } ).then((result) => {
                setShowTable(true);
                setData(result.data.previewList);
                setTotal(result.data.total);
                setBaseName(result.data.baseName);
                document.getElementById('relance-action').style.display = "block";
            }).catch(() => {

            })
        }
    };
    return (
        <div className={"relanceApp"}>
            <CsvUpload onUploadFile={uploadXlsx}/>
            {showTable && (
                <>
                    <TableauPreviewCsv data={data} total={total} basename={baseName}/>
                </>
            )}
        </div>
    )
};

export default RelanceImport;