import React, {useContext} from 'react';

import 'antd/dist/antd.css';

import AssureInfo from "./pages/AssureInfo";
import SouscripteurInfo from "./pages/SouscripteurInfo";
import SouscripteurBenefLabelContext from "./context";
import LabelContext from "./context";
import {Col, Row} from "antd";

function App({options, listAssure, setListAssure, onUpdateAssuresList}) {
  const ctx = useContext(LabelContext);
  const data = options.souscripteurBeneficiairesData;
  options.souscripteursBenefLabels["currency"] = options.currency;

  return (
    <SouscripteurBenefLabelContext.Provider value={options.souscripteursBenefLabels}>
        {window.isBo && (
            <Row>
                <Col xl={11} lg={24}>
                    <h3>{ctx.information_assure}</h3>
                    <AssureInfo options={options} listAssure={listAssure} setListAssure={setListAssure} onUpdateAssuresList={onUpdateAssuresList}/>
                </Col>
                <Col xl={{ span: 11, offset: 2 }} lg={24}>
                    <h3>{ctx.information_souscripteur}</h3>
                    <SouscripteurInfo data={data}/>
                </Col>
            </Row>
        )}
        {!window.isBo && (
            <>
                <h3>{ctx.information_assure}</h3>
                <AssureInfo options={options} listAssure={listAssure} setListAssure={setListAssure} onUpdateAssuresList={onUpdateAssuresList}/>
                <h3>{ctx.information_souscripteur}</h3>
                <SouscripteurInfo data={data}/>
            </>
        )}
    </SouscripteurBenefLabelContext.Provider>
  );
}

export default App;
