import React from 'react';

import { Button } from "antd";
import styled from "styled-components";

const ButtonStyled = styled(Button)`
  background: ${(props) => props.color === 'primary' ? '#f60' : '#399'} !important;
  height: 40px !important;
  border-radius: 10px !important;
  color: white !important;
  font-weight: bold !important;
  margin-bottom: 5px !important;
  
  :hover, :focus {
    border: none !important;
    background: ${(props) => props.color === 'primary' ? '#f60' : '#399'} !important;
    color: white !important;
  }
`;

const CButton = (props) => {
  const {
    children,
    onClick,
    color,
    type
  } = props;

  return (
    <ButtonStyled
      onClick={onClick}
      htmlType={type}
      color={color}>
      {children}
    </ButtonStyled>
  )
};

export default CButton;