import React, {useContext} from 'react';

import {
    Col,
    Form
} from "antd";

import CCard from "../components/CCard";
import LabelContext from "../context";
import CRow from "../components/CRow";
import CInput from "../components/CInput";

const SouscripteurInfo = ({data}) => {
    const ctx = useContext(LabelContext);

    const [form] = Form.useForm();

    return (
        <CCard>
            <Form
                id="souscripteurForm"
                form={form}
                name='souscripteurForm'
                initialValues={data.souscripteur}>
                <CRow justify='center'>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.civilite}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='civilite-payeur'>
                            <CInput name='civilite-payeur' placeholder={`${ctx.mr} ou ${ctx.mme}`}/>
                        </Form.Item>
                    </Col>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.prenom_souscripteur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='prenom-payeur'>
                            <CInput name='prenom-payeur' placeholder={ctx.prenom_souscripteur}/>
                        </Form.Item>
                    </Col>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.nom_souscripteur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='nom-payeur'>
                            <CInput name='nom-payeur' placeholder={ctx.nom_souscripteur}/>
                        </Form.Item>
                    </Col>
                    {data.souscripteur['raisonSocial-payeur'] !== "" && data.souscripteur['numSiret-payeur'] !== "" && (
                        <>
                            <Col xs={24} sm={11}>
                                <p className='label'>{ctx.raison_social_payeur}</p>
                            </Col>
                            <Col xs={24} sm={11}>
                                <Form.Item name='raisonSocial-payeur'>
                                    <CInput name='raisonSocial-payeur' placeholder={ctx.raison_social_payeur}/>
                                </Form.Item>
                            </Col>
                            <Col xs={24} sm={11}>
                                <p className='label'>{ctx.num_siret_payeur}</p>
                            </Col>
                            <Col xs={24} sm={11}>
                                <Form.Item name='numSiret-payeur'>
                                    <CInput name='numSiret-payeur' placeholder={ctx.num_siret_payeur}/>
                                </Form.Item>
                            </Col>
                        </>
                    )}
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.email_payeur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='email-payeur'>
                            <CInput name='email-payeur' placeholder={ctx.email_payeur}/>
                        </Form.Item>
                    </Col>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.fixe_payeur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='telephone_fixe-payeur'>
                            <CInput name='telephone_fixe-payeur' placeholder={ctx.fixe_payeur}/>
                        </Form.Item>
                    </Col>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.adresse_payeur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='adresse-payeur'>
                            <CInput name='adresse-payeur' placeholder={ctx.adresse_payeur}/>
                        </Form.Item>
                    </Col>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.code_postal_payeur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='code-payeur'>
                            <CInput name='code-payeur' placeholder={ctx.code_postal_payeur}/>
                        </Form.Item>
                    </Col>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.ville_payeur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='ville-payeur'>
                            <CInput name='ville-payeur' placeholder={ctx.ville_payeur}/>
                        </Form.Item>
                    </Col>
                    <Col xs={24} sm={11}>
                        <p className='label'>{ctx.login_payeur}</p>
                    </Col>
                    <Col xs={24} sm={11}>
                        <Form.Item name='login-payeur'>
                            <CInput disabled name='login-payeur' />
                        </Form.Item>
                    </Col>
                    {window.isBo && (
                        <>
                            <Col xs={24} sm={11}>
                                <p className='label'>Password</p>
                            </Col>
                            <Col xs={24} sm={11}>
                                <CInput disabled value={window.tempPassword} />
                            </Col>
                        </>
                    )}
                </CRow>
            </Form>
        </CCard>
    )
};

export default SouscripteurInfo;