<?php
function register_pdf_shortcodes() {
	add_shortcode( 'mc_description', 'mc_description' );
	add_shortcode( 'mc_pdf', 'mc_pdf' );
}

add_action( 'init', 'register_pdf_shortcodes' );
function mc_description( $atts ) {
	if ( ! isset( $atts['lang'] ) ) {
		wp_die( __( 'Impossible d\'afficher les descriptions', 'mondialcare' ) );
	}
	$lang = $atts['lang'];
	ob_start();
	?>
    <div style="margin-bottom: 35px;">
        <figure>
            <img src="<?= plugins_url( 'assets/Asset-3support-mondialcare.png', __FILE__ ) ?>"/>
        </figure>
    </div>
    <p style="text-align: center;
              font-family: Montserrat !important;
              font-weight: 700 !important;
              font-style: normal !important;
              font-size: 20px;
              line-height: 25px;
              color: rgb(0, 0, 0);
              display: inline-block;
              margin-top: 0;
              margin-bottom: 0.5em;">
        Besoin d’aide ?<br>Contactez notre équipe<br><span style="font-size: 23px">+33 1 82 83 56 26</span>
    </p>
	<?php
    $defaultHtml = ob_get_clean();
    $mc_descriptions = get_option('mc_description', []);
	if ( isset( $mc_descriptions[ $lang ] ) ) {
		return stripslashes(htmlspecialchars_decode($mc_descriptions[ $lang ]));
	} else {
		return $defaultHtml;
	}
}

function mc_pdf( $atts ) {
	if ( ! isset( $atts['id'], $atts['title'] ) ) {
		wp_die( __( 'Impossible d\'afficher la liste des pdf rattaché à ce produit', 'mondialcare' ) );
	}
	$post_id = $atts['id'];
	$parent_site = get_option('parent_source');
	$token_type = get_option('token_type');
	$access_token = get_option('access_token');
	ob_start();
	if ( in_array( false, compact( 'parent_site', 'token_type', 'access_token' ), true ) ) {
	    print (__('Veuillez configurer le plugin mondialcare', 'mondialcare'));
	    return ob_get_clean();
	}
	$request = Requests::get($parent_site . '/api/v1/obtenir_pdf/' . $post_id, [
		'Authorization' => $token_type . ' ' . $access_token
	]);
	if($request->status_code !== 200){
		print (__('Erreur survenue lors de la récupération de la liste de pdf rattachés au produit.', 'mondialcare'));
		return ob_get_clean();
    }
	else{
		$listePdf = json_decode( $request->body, true );
		$mc_pdf_css = get_option( 'mc_pdf_css', false );
		$defaultCss = <<<EOF
.pdf_list{
    display: block;
    margin: 0;
    padding: 0;
}
.pdf_list .pdf_list_item{
    list-style: none;
    margin: 10px 5px;
    background: darkorange;
    text-align: center;
    border-radius: 20px;
}
.pdf_list .pdf_list_item:hover{
    transform: translateY(-1px);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.05), 0px 2px 2px rgba(0, 0, 0, 0.05), 0px 4px 4px rgba(0, 0, 0, 0.05), 0px 8px 8px rgba(0, 0, 0, 0.05), 0px 16px 16px rgba(0, 0, 0, 0.05);
}
.pdf_list .pdf_list_item .pdf_link{
    padding: 10px;
    display: block;
    color: white !important;
    text-decoration: none;
    text-transform: uppercase;
    line-height: initial;
    font-weight: bolder;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
}

EOF;
		?>
        <style>
<?= $mc_pdf_css === false ? $defaultCss : stripslashes(htmlspecialchars_decode($mc_pdf_css)) ?>
        </style>
        <ul class='pdf_list'>
        <?php
        foreach ( $listePdf as $pdf ):
            ?>
            <li class='pdf_list_item'>
                <a href="<?= $pdf['href'] ?>"
                   target="_blank"
                   class="pdf_link">
	            <span>
					<span class="btn-txt"><?= $pdf['title'] ?></span>
				</span>
                </a>
            </li>
		<?php
        endforeach;
        ?>
        </ul>
<?php
		return ob_get_clean();
    }
}

add_action( 'mc_personnalisation', 'personnalisation_description', 10, 0 );
function personnalisation_description() {
	$parent_source = get_option('parent_source');
	$token_type = get_option('token_type');
	$access_token = get_option('access_token');
	
	if (in_array( false, compact( 'parent_source', 'token_type', 'access_token' ), true )) {
	    echo __('Erreur survenue lors de la recupération de la liste de langue', 'mondialcare');
	    return;
	} else {
		$request = Requests::get( $parent_source . '/api/v1/obtenir_produits', [
			'Authorization' => $token_type . ' ' . $access_token
		] );
		if ( $request->status_code === 200 ) {
			$array_resultat = json_decode( $request->body, true );
			$langs = array_unique(array_map(function($produit) {
			    return $produit['locale'];
            }, $array_resultat));
			?>
            <h2>Personnalisation du shortcode [mc_description]</h2>
            <p>Modifier les code HTML du shortcode en fonction de la langue du produit à afficher</p>
            <ul>
                <?php
                $imageUrl = plugins_url( 'assets/Asset-3support-mondialcare.png', __FILE__ );
                $html     = <<<EOF
<div style="margin-bottom: 35px;">
    <figure>
        <img src="$imageUrl"/>
    </figure>
</div>
<p style="text-align: center;
          font-family: Montserrat !important;
          font-weight: 700 !important;
          font-style: normal !important;
          font-size: 20px;
          line-height: 25px;
          color: rgb(0, 0, 0);
          display: inline-block;
          margin-top: 0;
          margin-bottom: 0.5em;">
    Besoin d’aide ?<br>Contactez notre équipe<br><span style="font-size: 23px">+33 1 82 83 56 26</span>
</p>
EOF;
                $mc_descriptions = get_option('mc_description', []);
                foreach ( $langs as $index => $lang ):
                ?>
                <li>
                    <details <?= $index === 0 ? 'open' : '' ?> >
                        <summary>Langue: <?= $lang ?></summary>
                        <textarea name="mc_description[<?= $lang ?>]" rows="10" cols="100" style="width: 100%"><?= isset($mc_descriptions[$lang]) ? stripslashes(htmlspecialchars_decode($mc_descriptions[$lang])) : $html ?></textarea>
                    </details>
                </li>
                    <?php
                endforeach;
                    ?>
            </ul>
			<?php
		}
		
	}
}

add_action( 'mc_personnalisation', 'personnalisation_pdf', 10, 0 );
function personnalisation_pdf() {
    $css =<<<EOF
.pdf_list{
    display: block;
    margin: 0;
    padding: 0;
}
.pdf_list .pdf_list_item{
    list-style: none;
    margin: 10px 5px;
    background: darkorange;
    text-align: center;
    border-radius: 20px;
}
.pdf_list .pdf_list_item:hover{
    transform: translateY(-1px);
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.05), 0px 2px 2px rgba(0, 0, 0, 0.05), 0px 4px 4px rgba(0, 0, 0, 0.05), 0px 8px 8px rgba(0, 0, 0, 0.05), 0px 16px 16px rgba(0, 0, 0, 0.05);
}
.pdf_list .pdf_list_item .pdf_link{
    padding: 10px;
    display: block;
    color: white !important;
    text-decoration: none;
    text-transform: uppercase;
    line-height: initial;
    font-weight: bolder;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
}
EOF;
	$mc_pdf_css = get_option( 'mc_pdf_css', false );
	?>
    <h2>Personnalisation du shortcode [mc_pdf]</h2>
    <p>Changer les styles de la liste de pdf</p>
    <ul>
        <li>
            <details open>
                <summary>CSS</summary>
                <textarea name="mc_pdf_css" rows="10" cols="100" style="width: 100%;"><?= $mc_pdf_css === false ? $css : stripslashes(htmlspecialchars_decode($mc_pdf_css)) ?></textarea>
            </details>
        </li>
    </ul>
	<?php
}