<?php
add_action('admin_menu', 'personnalisation_menu');
function personnalisation_menu()
{
	$title     = __('Personnalisation', 'mondialcare');
	$menuTitle = __('Personnalisation', 'mondialcare');
	add_submenu_page('mc_contrats', $title, $menuTitle, 'manage_options', 'custom', 'page_personnalisation');
}

function page_personnalisation() {
	if ( isset( $_REQUEST['action'] ) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			update_option( 'mc_button_p_background_color' , sanitize_text_field($_POST['mc_button_p_background_color'] ) );
			update_option( 'mc_button_p_label_color' , sanitize_text_field($_POST['mc_button_p_label_color'] ) );
			update_option( 'mc_border_p_color' , sanitize_text_field($_POST['mc_border_p_color'] ) );
			update_option( 'mc_button_p_background_color_on_focus' , sanitize_text_field($_POST['mc_button_p_background_color_on_focus'] ) );
			update_option( 'mc_button_p_label_color_on_focus' , sanitize_text_field($_POST['mc_button_p_label_color_on_focus'] ) );
			update_option( 'mc_border_p_color_on_focus' , sanitize_text_field($_POST['mc_border_p_color_on_focus'] ) );
			update_option( 'mc_button_background_color' , sanitize_text_field($_POST['mc_button_background_color'] ) );
			update_option( 'mc_button_label_color' , sanitize_text_field($_POST['mc_button_label_color'] ) );
			update_option( 'mc_border_color' , sanitize_text_field($_POST['mc_border_color'] ) );
			update_option( 'mc_button_background_color_on_focus' , sanitize_text_field($_POST['mc_button_background_color_on_focus'] ) );
			update_option( 'mc_button_label_color_on_focus' , sanitize_text_field($_POST['mc_button_label_color_on_focus'] ) );
			update_option( 'mc_border_color_on_focus' , sanitize_text_field($_POST['mc_border_color_on_focus'] ) );
			update_option( 'mc_base_color' , sanitize_text_field($_POST['mc_base_color'] ) );
			update_option( 'mc_custom_button' , sanitize_text_field($_POST['mc_custom_button'] ) );
			update_option( 'mc_primary_color' , sanitize_text_field($_POST['mc_primary_color'] ) );
			update_option( 'mc_secondary_color' , sanitize_text_field($_POST['mc_secondary_color'] ) );
			update_option( 'mc_custom_font_title' , sanitize_text_field($_POST['mc_custom_font_title'] ) );
			update_option( 'mc_font_title' , sanitize_text_field($_POST['mc_font_title'] ) );
			update_option( 'mc_custom_font_label_button' , sanitize_text_field($_POST['mc_custom_font_label_button'] ) );
			update_option( 'mc_font_label_button' , sanitize_text_field($_POST['mc_font_label_button'] ) );
			update_option( 'mc_label_button_size' , sanitize_text_field($_POST['mc_label_button_size'] ) );
			update_option( 'mc_custom_inputs' , sanitize_text_field($_POST['mc_custom_inputs'] ) );
			update_option( 'mc_inputs_color' , sanitize_text_field($_POST['mc_inputs_color'] ) );
			foreach ( $_POST['mc_description'] as $lang => $description ) {
                $_POST['mc_description'][$lang] = htmlspecialchars($description);
			}
			update_option('mc_description', $_POST['mc_description']);
			update_option('mc_pdf_css', htmlspecialchars($_POST['mc_pdf_css']));
		}

	}

	?>

	<?= mondialcare_header(); ?>
	<div class="mc-options-wrapper">

		<form method="post" class="wrap mc-options mc-card">
			<h1>Mondialcare Plugins - Options</h1>
			<?php				if ( isset( $_REQUEST['action'] ) ) {
				if ( 'save' == $_REQUEST['action'] ) {
					?>
					<p class="welcome mc-notice">Modification effectué</p>
					<?php
				}
			}
			?>

			<div class="mc-content">
				<p class="welcome">Ici, vous pouvez personnaliser les affichages </p>
				<hr>
				<h2>Couleurs</h2>
				<div class="mc_full">
					Si votre thème n'a pas des couleurs prédefini, Vous pouvez l'ajouter ici.
				</div>
				<span>
                        <input name="mc_base_color" type="hidden" value="0" />
                        <input name="mc_base_color" type="checkbox" value="1" <?php checked( '1', get_option( 'mc_base_color', 'true' ) ); ?> />
                    </span>
				<span>Utiliser les couleurs de base</span>
				<ul>
					<li>
						<span>Couleur primaire</span>
						<span><input type="text" name="mc_primary_color" value="<?php echo get_option("mc_primary_color", '#339999' ); ?>" class="mc-color-field" data-default-color="#339999" /></span>
					</li>
					<li>
						<span>Couleur secondaire</span>
						<span><input type="text" name="mc_secondary_color" value="<?php echo get_option("mc_secondary_color", '#ff6600' ); ?>" class="mc-color-field" data-default-color="#ff6600" /></span>
					</li>
				</ul>
				<h2>Bouton</h2>
				<div class="row">
					<div class="col-12">
                            <span>
                                <input name="mc_custom_button" type="hidden" value="0" />
                                <input name="mc_custom_button" type="checkbox" value="1" <?php checked( '1', get_option( 'mc_custom_button', 'true' ) ); ?> />
                            </span>
						<span>Personnaliser les boutons</span>
					</div>
					<div class="col">
						<ul>
							<li>
								<span>Previous</span>
							</li>
							<li>
								<span>Couleur de Fond</span>
								<span><input type="text" name="mc_button_p_background_color" value="<?php echo get_option("mc_button_p_background_color", '#ff6600' ); ?>" class="mc-color-field" data-default-color="#ff6600" /></span>
							</li>
							<li>
								<span>Couleur du Text</span>
								<span><input type="text" name="mc_button_p_label_color" value="<?php echo get_option("mc_button_p_label_color", '#ffffff' ); ?>" class="mc-color-field" data-default-color="#ffffff" /></span>
							</li>
							<li>
								<span>Couleur de la Bordure</span>
								<span><input type="text" name="mc_border_p_color" value="<?php echo get_option("mc_border_p_color", '#ff6600' ); ?>" class="mc-color-field" data-default-color="#ff6600" /></span>
							</li>
							<li>
								<span>Couleur de Fond au survol de la souris</span>
								<span><input type="text" name="mc_button_p_background_color_on_focus" value="<?php echo get_option("mc_button_p_background_color_on_focus", '#ffa060' ); ?>" class="mc-color-field" data-default-color="#ffa060" /></span>
							</li>
							<li>
								<span>Couleur du text au survol de la souris</span>
								<span><input type="text" name="mc_button_p_label_color_on_focus" value="<?php echo get_option("mc_button_p_label_color_on_focus", '#ffffff' ); ?>" class="mc-color-field" data-default-color="#ffffff" /></span>
							</li>
							<li>
								<span>Couleur de la Bordure au survol de la souris</span>
								<span><input type="text" name="mc_border_p_color_on_focus" value="<?php echo get_option("mc_border_p_color_on_focus", '#ffa060' ); ?>" class="mc-color-field" data-default-color="#ffa060" /></span>
							</li>

						</ul>
					</div>
					<div class="col">
						<ul>
							<li>
								<span>Next</span>
							</li>
							<li>
								<span>Couleur de Fond</span>
								<span><input type="text" name="mc_button_background_color" value="<?php echo get_option("mc_button_background_color", '#339999' ); ?>" class="mc-color-field" data-default-color="#339999" /></span>
							</li>
							<li>
								<span>Couleur du Text</span>
								<span><input type="text" name="mc_button_label_color" value="<?php echo get_option("mc_button_label_color", '#ffffff' ); ?>" class="mc-color-field" data-default-color="#ffffff" /></span>
							</li>
							<li>
								<span>Couleur de la Bordure</span>
								<span><input type="text" name="mc_border_color" value="<?php echo get_option("mc_border_color", '#139999' ); ?>" class="mc-color-field" data-default-color="#139999" /></span>
							</li>
							<li>
								<span>Couleur de Fond au survol de la souris</span>
								<span><input type="text" name="mc_button_background_color_on_focus" value="<?php echo get_option("mc_button_background_color_on_focus", '#5d9999' ); ?>" class="mc-color-field" data-default-color="#5d9999" /></span>
							</li>
							<li>
								<span>Couleur du text au survol de la souris</span>
								<span><input type="text" name="mc_button_label_color_on_focus" value="<?php echo get_option("mc_button_label_color_on_focus", '#ffffff' ); ?>" class="mc-color-field" data-default-color="#ffffff" /></span>
							</li>
							<li>
								<span>Couleur de la Bordure au survol de la souris</span>
								<span><input type="text" name="mc_border_color_on_focus" value="<?php echo get_option("mc_border_color_on_focus", '#4e9999' ); ?>" class="mc-color-field" data-default-color="#4e9999" /></span>
							</li>

						</ul>
					</div>
				</div>
				<h2>Inputs</h2>
				<span>
                        <input name="mc_custom_inputs" type="hidden" value="0" />
                        <input name="mc_custom_inputs" type="checkbox" value="1" <?php checked( '1', get_option( 'mc_custom_inputs', 'true' ) ); ?> />
                    </span>
				<span>Personnaliser les inputs</span>
				<ul>
					<li>
						<span>Couleur des inputs</span>
						<span><input type="text" name="mc_inputs_color" value="<?php echo get_option("mc_inputs_color", '#ff6600' ); ?>" class="mc-color-field" data-default-color="#ff6600" /></span>
					</li>
				</ul>

				<h2>Typographie</h2>
				<p>Titre</p>
				<span>
                        <input name="mc_custom_font_title" type="hidden" value="0" />
                        <input name="mc_custom_font_title" type="checkbox" value="1" <?php checked( '1', get_option( 'mc_custom_font_title', 'true' ) ); ?> />
                    </span>
				<span>Personnaliser les titres</span>
				<ul>
					<li>
						<span>Font:</span>
						<span><select name="mc_font_title">
                                <option value="Alegreya" <?php selected("Alegreya", get_option('mc_font_title'))?> >Alegreya</option>
                                <option value="B612" <?php selected("B612", get_option('mc_font_title'))?> >B612</option>
                                <option value="Muli" <?php selected("Muli", get_option('mc_font_title'))?> >Muli</option>
                                <option value="Titillium Web" <?php selected("Titillium Web", get_option('mc_font_title'))?> >Titillium Web</option>
                                <option value="Varela" <?php selected("Varela", get_option('mc_font_title'))?> >Varela</option>
                                <option value="Vollkorn" <?php selected("Vollkorn", get_option('mc_font_title'))?> >Vollkorn</option>
                                <option value="IBM Plex" <?php selected("IBM Plex", get_option('mc_font_title'))?> >IBM Plex</option>
                                <option value="Crimson Text" <?php selected("Crimson Text", get_option('mc_font_title'))?> >Crimson Text</option>
                                <option value="Cairo" <?php selected("Cairo", get_option('mc_font_title'))?> >Cairo</option>
                                <option value="BioRhyme" <?php selected("BioRhyme", get_option('mc_font_title'))?> >BioRhyme</option>
                                <option value="Karla" <?php selected("Karla", get_option('mc_font_title'))?> >Karla</option>
                                <option value="Lora" <?php selected("Lora", get_option('mc_font_title'))?> >Lora</option>
                                <option value="Frank Ruhl Libre" <?php selected("Frank Ruhl Libre", get_option('mc_font_title'))?> >Frank Ruhl Libre</option>
                                <option value="Playfair Display" <?php selected("Playfair Display", get_option('mc_font_title'))?> >Playfair Display</option>
                                <option value="Archivo" <?php selected("Archivo", get_option('mc_font_title'))?> >Archivo</option>
                                <option value="Spectral" <?php selected("Spectral", get_option('mc_font_title'))?> >Spectral</option>
                                <option value="Fjalla One" <?php selected("Fjalla One", get_option('mc_font_title'))?> >Fjalla One</option>
                                <option value="Roboto" <?php selected("Roboto", get_option('mc_font_title'))?> >Roboto</option>
                                <option value="Montserrat" <?php selected("Montserrat", get_option('mc_font_title'))?> >Montserrat</option>
                                <option value="Rubik" <?php selected("Rubik", get_option('mc_font_title'))?> >Rubik</option>
                                <option value="Source Sans" <?php selected("Source Sans", get_option('mc_font_title'))?> >Source Sans</option>
                                <option value="Cardo" <?php selected("Cardo", get_option('mc_font_title'))?> >Cardo</option>
                                <option value="Cormorant" <?php selected("Cormorant", get_option('mc_font_title'))?> >Cormorant</option>
                                <option value="Work Sans" <?php selected("Work Sans", get_option('mc_font_title'))?> >Work Sans</option>
                                <option value="Rakkas" <?php selected("Rakkas", get_option('mc_font_title'))?> >Rakkas</option>
                                <option value="Concert One" <?php selected("Concert One", get_option('mc_font_title'))?> >Concert One</option>
                                <option value="Yatra One" <?php selected("Yatra One", get_option('mc_font_title'))?> >Yatra One</option>
                                <option value="Arvo" <?php selected("Arvo", get_option('mc_font_title'))?> >Arvo</option>
                                <option value="Lato" <?php selected("Lato", get_option('mc_font_title'))?> >Lato</option>
                                <option value="Abril FatFace" <?php selected("Abril FatFace", get_option('mc_font_title'))?> >Abril FatFace</option>
                                <option value="Ubuntu" <?php selected("Ubuntu", get_option('mc_font_title'))?> >Ubuntu</option>
                                <option value="PT Serif" <?php selected("PT Serif", get_option('mc_font_title'))?> >PT Serif</option>
                                <option value="Old Standard TT" <?php selected("Old Standard TT", get_option('mc_font_title'))?> >Old Standard TT</option>
                                <option value="Oswald" <?php selected("Oswald", get_option('mc_font_title'))?> >Oswald</option>
                                <option value="PT Sans" <?php selected("PT Sans", get_option('mc_font_title'))?> >PT Sans</option>
                                <option value="Poppins" <?php selected("Poppins", get_option('mc_font_title'))?> >Poppins</option>
                                <option value="Fira Sans" <?php selected("Fira Sans", get_option('mc_font_title'))?> >Fira Sans</option>
                                <option value="Nunito" <?php selected("Nunito", get_option('mc_font_title'))?> >Nunito</option>
                                <option value="Oxygen" <?php selected("Oxygen", get_option('mc_font_title'))?> >Oxygen</option>
                                <option value="Exo 2" <?php selected("Exo 2", get_option('mc_font_title'))?> >Exo 2</option>
                                <option value="Open Sans" <?php selected("Open Sans", get_option('mc_font_title'))?> >Open Sans</option>
                                <option value="Merriweather" <?php selected("Merriweather", get_option('mc_font_title'))?> >Merriweather</option>
                                <option value="Noto Sans" <?php selected("Noto Sans", get_option('mc_font_title'))?> >Noto Sans</option>
                                <option value="Source Sans Pro" <?php selected("Source Sans Pro", get_option('mc_font_title'))?> >Source Sans Pro</option>
                            </select>
                        </span>
					</li>
				</ul>

				<h2>Bouton</h2>
				<span>
                        <input name="mc_custom_font_label_button" type="hidden" value="0" />
                        <input name="mc_custom_font_label_button" type="checkbox" value="1" <?php checked( '1', get_option( 'mc_custom_font_label_button', 'true' ) ); ?> />
                    </span>
				<span>Personnaliser les boutons</span>
				<ul>
					<li>
						<span>Font </span>
						<span>
                            <select name="mc_font_label_button">
                                <option value="Alegreya" <?php selected("Alegreya", get_option('mc_font_label_button'))?> >Alegreya</option>
                                <option value="B612 " <?php selected("B612 ", get_option('mc_font_label_button'))?> >B612 </option>
                                <option value="Muli " <?php selected("Muli ", get_option('mc_font_label_button'))?> >Muli </option>
                                <option value="Titillium Web" <?php selected("Titillium Web", get_option('mc_font_label_button'))?> >Titillium Web</option>
                                <option value="Varela" <?php selected("Varela", get_option('mc_font_label_button'))?> >Varela</option>
                                <option value="Vollkorn" <?php selected("Vollkorn", get_option('mc_font_label_button'))?> >Vollkorn</option>
                                <option value="IBM Plex" <?php selected("IBM Plex", get_option('mc_font_label_button'))?> >IBM Plex</option>
                                <option value="Crimson Text" <?php selected("Crimson Text", get_option('mc_font_label_button'))?> >Crimson Text</option>
                                <option value="Cairo" <?php selected("Cairo", get_option('mc_font_label_button'))?> >Cairo</option>
                                <option value="BioRhyme" <?php selected("BioRhyme", get_option('mc_font_label_button'))?> >BioRhyme</option>
                                <option value="Karla" <?php selected("Karla", get_option('mc_font_label_button'))?> >Karla</option>
                                <option value="Lora" <?php selected("Lora", get_option('mc_font_label_button'))?> >Lora</option>
                                <option value="Frank Ruhl Libre" <?php selected("Frank Ruhl Libre", get_option('mc_font_label_button'))?> >Frank Ruhl Libre</option>
                                <option value="Playfair Display" <?php selected("Playfair Display", get_option('mc_font_label_button'))?> >Playfair Display</option>
                                <option value="Archivo" <?php selected("Archivo", get_option('mc_font_label_button'))?> >Archivo</option>
                                <option value="Spectral" <?php selected("Spectral", get_option('mc_font_label_button'))?> >Spectral</option>
                                <option value="Fjalla One" <?php selected("Fjalla One", get_option('mc_font_label_button'))?> >Fjalla One</option>
                                <option value="Roboto" <?php selected("Roboto", get_option('mc_font_label_button'))?> >Roboto</option>
                                <option value="Montserrat" <?php selected("Montserrat", get_option('mc_font_label_button'))?> >Montserrat</option>
                                <option value="Rubik" <?php selected("Rubik", get_option('mc_font_label_button'))?> >Rubik</option>
                                <option value="Source Sans" <?php selected("Source Sans", get_option('mc_font_label_button'))?> >Source Sans</option>
                                <option value="Cardo" <?php selected("Cardo", get_option('mc_font_label_button'))?> >Cardo</option>
                                <option value="Cormorant" <?php selected("Cormorant", get_option('mc_font_label_button'))?> >Cormorant</option>
                                <option value="Work Sans" <?php selected("Work Sans", get_option('mc_font_label_button'))?> >Work Sans</option>
                                <option value="Rakkas" <?php selected("Rakkas", get_option('mc_font_label_button'))?> >Rakkas</option>
                                <option value="Concert One" <?php selected("Concert One", get_option('mc_font_label_button'))?> >Concert One</option>
                                <option value="Yatra One" <?php selected("Yatra One", get_option('mc_font_label_button'))?> >Yatra One</option>
                                <option value="Arvo" <?php selected("Arvo", get_option('mc_font_label_button'))?> >Arvo</option>
                                <option value="Lato" <?php selected("Lato", get_option('mc_font_label_button'))?> >Lato</option>
                                <option value="Abril FatFace" <?php selected("Abril FatFace", get_option('mc_font_label_button'))?> >Abril FatFace</option>
                                <option value="Ubuntu" <?php selected("Ubuntu", get_option('mc_font_label_button'))?> >Ubuntu</option>
                                <option value="PT Serif" <?php selected("PT Serif", get_option('mc_font_label_button'))?> >PT Serif</option>
                                <option value="Old Standard TT" <?php selected("Old Standard TT", get_option('mc_font_label_button'))?> >Old Standard TT</option>
                                <option value="Oswald" <?php selected("Oswald", get_option('mc_font_label_button'))?> >Oswald</option>
                                <option value="PT Sans" <?php selected("PT Sans", get_option('mc_font_label_button'))?> >PT Sans</option>
                                <option value="Poppins" <?php selected("Poppins", get_option('mc_font_label_button'))?> >Poppins</option>
                                <option value="Fira Sans" <?php selected("Fira Sans", get_option('mc_font_label_button'))?> >Fira Sans</option>
                                <option value="Nunito" <?php selected("Nunito", get_option('mc_font_label_button'))?> >Nunito</option>
                                <option value="Oxygen" <?php selected("Oxygen", get_option('mc_font_label_button'))?> >Oxygen</option>
                                <option value="Exo 2" <?php selected("Exo 2", get_option('mc_font_label_button'))?> >Exo 2</option>
                                <option value="Open Sans" <?php selected("Open Sans", get_option('mc_font_label_button'))?> >Open Sans</option>
                                <option value="Merriweather" <?php selected("Merriweather", get_option('mc_font_label_button'))?> >Merriweather</option>
                                <option value="Noto Sans" <?php selected("Noto Sans", get_option('mc_font_label_button'))?> >Noto Sans</option>
                                <option value="Source Sans Pro" <?php selected("Source Sans Pro", get_option('mc_font_label_button'))?> >Source Sans Pro</option>
                            </select>
                            </span>
					</li>
					<li>
						<span>Taille</span>
						<span>
                                <input type="number" name="mc_label_button_size" value="<?php echo get_option("mc_label_button_size", '12' ); ?>" min="8" max="50">px
                            </span>
					</li>
				</ul>

				<input type="hidden" name="action" value="save" />
				<input type="submit" class="btn-fixed" value="SAVE" />
                <?php
                    do_action('mc_personnalisation');
                ?>
			</div>
		</form>

	</div>

	<?= mondialcare_footer(); ?>
	<?php
}